commit 1f53427441b27e434037182da9c348eef24c1a7f
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 12 16:42:26 2017 +0100

    release 1.18.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a4ece01a7f86423ceb55878b1d46e4ddcf0001b3
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 12 16:41:29 2017 +0100

    sync with transifex

 po/LINGUAS  |    1 +
 po/am.po    |  408 +++++++++---------
 po/bg.po    |  302 ++++++-------
 po/ca.po    |   15 +-
 po/el.po    |  209 ++++-----
 po/es.po    |    4 +-
 po/hy.po    |   32 +-
 po/id.po    |    2 +-
 po/it.po    |   70 +--
 po/ku_IQ.po | 1375 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/lt.po    |    4 +-
 po/nb.po    |    6 +-
 po/pl.po    |    5 +-
 po/pt.po    |   44 +-
 po/ro.po    |    4 +-
 po/sl.po    |    2 +-
 po/sv.po    |   29 +-
 po/tr.po    |    4 +-
 po/uk.po    |    4 +-
 19 files changed, 1953 insertions(+), 567 deletions(-)

commit 78c59859eca9f3e7f2cabb8fc851a70b6d293ff4
Author: monsta <monsta@inbox.ru>
Date:   Sun Mar 12 18:22:29 2017 +0300

    README: replace libgksu with pkexec in optional deps list
    
    we don't use libgksu directly anymore since 6e0ddb9837551bd33b2f0b75a8f83cb3d2d36927
    and pkexec is tried first before gksu anyway

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8398a295919f9b8f4400fbc853f4826ca76295c0
Author: monsta <monsta@inbox.ru>
Date:   Sun Mar 12 18:17:11 2017 +0300

    update NEWS for 1.18

 NEWS | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit cb7fec4641fc61b439a2bb840ad5624346250ff9
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Feb 10 11:04:05 2017 +0100

    interfaces: port to GtkGrid

 src/interface.cpp | 134 +++++++++++++++++++++---------------------------------
 1 file changed, 51 insertions(+), 83 deletions(-)

commit 371d9bfca7cbdb4fcc00efdcced1a238c8137024
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Feb 9 23:11:29 2017 +0100

    renice-dialog: port to GtkGrid

 src/procdialogs.cpp | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit 007787fbd135fb51d3258da0eb9892eb4fc35676
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Fri Jan 13 16:13:04 2017 +0000

    Update mate-system-monitor NEWS to use consistent, project wide, markdown-like formatting. This will make generating release announcements easier.

 NEWS | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 91475955e814e7792017082b7f234a8f4e96f5e9
Author: monsta <monsta@inbox.ru>
Date:   Mon Oct 31 21:27:24 2016 +0300

    release 1.17.0

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit b40ecf7e2503d618bb4d70e174818ce26422e50a
Author: monsta <monsta@inbox.ru>
Date:   Mon Oct 31 21:22:14 2016 +0300

    sync with Transifex

 po/bg.po |  17 ++-
 po/oc.po | 501 ++++++++++++++++++++++++++++++++-------------------------------
 po/ro.po |  10 +-
 po/sv.po |  11 +-
 4 files changed, 271 insertions(+), 268 deletions(-)

commit ed81e790565663f1ddbdf0777efbd01b8b0e00ad
Author: monsta <monsta@inbox.ru>
Date:   Tue Oct 25 14:33:23 2016 +0300

    add pkexec support
    
    closes https://github.com/mate-desktop/mate-system-monitor/issues/85
    
    try pkexec before trying gksu for killing other users' processes
    or renicing a process. actual kill and renice commands are launched
    via helper tool (see discussion at https://bugzilla.gnome.org/491462).
    
    code is ported from gnome-system-monitor with some changes (e.g. helper
    tool code is in tools/ dir instead of scripts/ - it's not a script).
    
    for reference - relevant upstream commits:
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=ccbff2a4293e43d6ea24fbf13477b10f58cd5212
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=2b4308d9fc2b2e367030629e79b531c4f9ae3d0a
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=971b3c704dea49b22c1038f200933c5b3b35ece1
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=c234b2a75dac454b818f1f40d302cf12f1a33aa2
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=4cda3529e418098b35f7444d79ba421eb5403afc
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=ab7bd8aef7300eeb3835fdef9a2a1eefe7281631
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=79eccf0cecbca237f4f911681438c33932da63e2
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=a3bf3a7f56cf02c6a127aa168c570230e9fad356

 Makefile.am                               | 15 ++++++++++++--
 configure.ac                              |  3 +++
 org.mate.mate-system-monitor.policy.in.in | 32 ++++++++++++++++++++++++++++++
 po/POTFILES.in                            |  1 +
 po/POTFILES.skip                          |  1 +
 src/Makefile.am                           |  2 ++
 src/procdialogs.cpp                       |  5 ++++-
 src/procman_pkexec.cpp                    | 33 +++++++++++++++++++++++++++++++
 src/procman_pkexec.h                      | 12 +++++++++++
 tools/Makefile.am                         | 12 +++++++++++
 tools/msm_execute_helper.c                | 17 ++++++++++++++++
 11 files changed, 130 insertions(+), 3 deletions(-)

commit 257ffb3cc4b1eab35630a9e53b6c29dda0b899da
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Sep 18 13:27:08 2016 +0200

    release 1.16.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7d52e5d41911e6eb45d18490e0fcefa6c6778e7
Author: monsta <monsta@inbox.ru>
Date:   Sun Sep 18 02:10:41 2016 +0300

    update NEWS for 1.16

 NEWS | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 46d47e25a6971a38826331c8e6db3536c243493d
Author: monsta <monsta@inbox.ru>
Date:   Sun Sep 18 02:06:37 2016 +0300

    sync with Transifex

 po/ca.po          |  26 ++---
 po/ca@valencia.po | 340 +++++++++++++++++++++++++++---------------------------
 po/cs.po          |  67 +++++------
 po/en_AU.po       |   2 +-
 po/es_CO.po       |  18 +--
 po/hy.po          |   9 +-
 po/lt.po          |  10 +-
 7 files changed, 239 insertions(+), 233 deletions(-)

commit 2672eacb78ea0b7caf5cdd8e79dd0b1758aad734
Author: monsta <monsta@inbox.ru>
Date:   Thu Aug 18 15:14:42 2016 +0300

    update copyright

 src/callbacks.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae90ed28bedf02a828d5cde418ddf75d5facd277
Author: monsta <monsta@inbox.ru>
Date:   Fri Jul 1 15:55:33 2016 +0300

    po: drop ancient ChangeLog left from gnome

 po/ChangeLog | 4672 ----------------------------------------------------------
 1 file changed, 4672 deletions(-)

commit 0fa0b804412e24d4c20cd0f9100a7a13fb3c3d9d
Author: monsta <monsta@inbox.ru>
Date:   Fri Jul 1 15:54:41 2016 +0300

    po: actually add new languages from Transifex

 po/LINGUAS | 2 ++
 1 file changed, 2 insertions(+)

commit 4d20340401ca21b14f7c3ede1be460f79b991994
Author: monsta <monsta@inbox.ru>
Date:   Fri Jul 1 15:54:20 2016 +0300

    po: drop languages not present on Transifex

 po/LINGUAS     |    2 -
 po/be@latin.po | 1075 ------------------------------------------------------
 po/en@shaw.po  | 1115 --------------------------------------------------------
 3 files changed, 2192 deletions(-)

commit 8bd070a19b13c9830b3be7700cf55e7845c98642
Author: Youri Mouton <youri@NetBSD.org>
Date:   Thu Jun 16 12:00:04 2016 +0200

    Casting temporaries to references is not valid.

 src/lsof.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 948e31c57192de7eb82f34eb19dd9d9bd6510c0c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 7 19:07:14 2016 +0200

    release 1.15.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 66c7a27c1b00e96956f9e88986d57ea228362af0
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 7 19:04:51 2016 +0200

    sync with Transiflex

 po/ca.po    |    4 +-
 po/cs.po    |   46 +-
 po/el.po    |   13 +-
 po/es.po    |    8 +-
 po/frp.po   | 1375 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/hi.po    |    2 +-
 po/it.po    |   46 +-
 po/ja.po    |   22 +-
 po/ko.po    |    4 +-
 po/nb.po    |   12 +-
 po/pl.po    |   44 +-
 po/pms.po   | 1375 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/pt_BR.po |    4 +-
 po/sv.po    |   14 +-
 po/uz.po    |  199 ++++-----
 15 files changed, 2963 insertions(+), 205 deletions(-)

commit ccfc326b83a1f116992641ca155725278cf5b8df
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 7 16:39:08 2016 +0300

    po: add missing languages to LINGUAS

 po/LINGUAS | 4 ++++
 1 file changed, 4 insertions(+)

commit d32b9b935ba02b93e8f28e15950c5ae156cda3fe
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 7 11:16:52 2016 +0300

    update NEWS to mention Changelog generation fix

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 9305b9eb1990d706ca4725fc2a0a174dedded1af
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 18:18:22 2016 +0200

    release 1.14.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 264341a774156252d8866dfcb959e12189f04858
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 18:17:03 2016 +0200

    Fix Changelog generation

 Makefile.am | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

commit 6f0dc7884e1c73917250c7e26698cf66715457df
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 18:16:05 2016 +0200

    add new languages and sync with transiflex

 po/LINGUAS        |    3 +
 po/am.po          |  576 ++++++++++++----------
 po/ar.po          |  648 +++++++++++++------------
 po/as.po          |  638 +++++++++++++------------
 po/ast.po         |  638 +++++++++++++------------
 po/az.po          |  574 ++++++++++++----------
 po/be.po          |  580 ++++++++++++----------
 po/bg.po          |  638 +++++++++++++------------
 po/bn.po          |  638 +++++++++++++------------
 po/bn_IN.po       |  638 +++++++++++++------------
 po/br.po          |  475 ++++++++++--------
 po/bs.po          |  575 ++++++++++++----------
 po/ca.po          |  546 +++++++++++----------
 po/ca@valencia.po |  638 +++++++++++++------------
 po/cmn.po         |  637 ++++++++++++++-----------
 po/cs.po          |  547 +++++++++++----------
 po/cy.po          |  586 ++++++++++++-----------
 po/da.po          |  542 +++++++++++----------
 po/de.po          |  690 +++++++++++++++------------
 po/dz.po          |  637 ++++++++++++++-----------
 po/el.po          |  539 +++++++++++----------
 po/en_AU.po       |  649 +++++++++++++------------
 po/en_CA.po       |  574 ++++++++++++----------
 po/en_GB.po       |  646 +++++++++++++------------
 po/eo.po          |  602 ++++++++++++-----------
 po/es.po          |  649 +++++++++++++------------
 po/es_CO.po       | 1374 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_MX.po       |  539 +++++++++++----------
 po/et.po          |  638 +++++++++++++------------
 po/eu.po          |  638 +++++++++++++------------
 po/fa.po          |  573 ++++++++++++----------
 po/fi.po          |  638 +++++++++++++------------
 po/fr.po          |  548 +++++++++++----------
 po/fr_CA.po       |  514 +++++++++++---------
 po/ga.po          |  577 ++++++++++++----------
 po/gl.po          |  638 +++++++++++++------------
 po/gu.po          |  638 +++++++++++++------------
 po/he.po          |  539 +++++++++++----------
 po/hi.po          |  638 +++++++++++++------------
 po/hr.po          |  575 ++++++++++++----------
 po/hu.po          |  624 +++++++++++++-----------
 po/hy.po          |  547 +++++++++++----------
 po/id.po          |  647 +++++++++++++------------
 po/is.po          | 1374 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/it.po          |  549 +++++++++++----------
 po/ja.po          |  645 +++++++++++++------------
 po/jv.po          |  514 +++++++++++---------
 po/ka.po          |  637 ++++++++++++++-----------
 po/kk.po          |  573 ++++++++++++----------
 po/kn.po          |  637 ++++++++++++++-----------
 po/ko.po          |  630 +++++++++++++-----------
 po/ku.po          |  574 ++++++++++++----------
 po/ky.po          |  577 ++++++++++++----------
 po/li.po          |  574 ++++++++++++----------
 po/lt.po          |  601 ++++++++++++-----------
 po/lv.po          |  639 +++++++++++++------------
 po/mai.po         |  574 ++++++++++++----------
 po/mg.po          |  574 ++++++++++++----------
 po/mk.po          |  638 +++++++++++++------------
 po/ml.po          |  638 +++++++++++++------------
 po/mn.po          |  574 ++++++++++++----------
 po/mr.po          |  638 +++++++++++++------------
 po/ms.po          |  643 +++++++++++++------------
 po/nah.po         |  602 ++++++++++++-----------
 po/nb.po          |  707 ++++++++++++++-------------
 po/nds.po         |  574 ++++++++++++----------
 po/ne.po          |  475 ++++++++++--------
 po/nl.po          |  647 +++++++++++++------------
 po/nn.po          |  638 +++++++++++++------------
 po/oc.po          |  591 ++++++++++++-----------
 po/or.po          |  638 +++++++++++++------------
 po/pa.po          |  638 +++++++++++++------------
 po/pl.po          |  721 +++++++++++++++-------------
 po/ps.po          |  626 +++++++++++++-----------
 po/pt.po          |  650 +++++++++++++------------
 po/pt_BR.po       |  675 ++++++++++++++------------
 po/ro.po          |  553 +++++++++++----------
 po/ru.po          |  552 +++++++++++----------
 po/rw.po          |  574 ++++++++++++----------
 po/si.po          |  574 ++++++++++++----------
 po/sk.po          |  552 +++++++++++----------
 po/sl.po          |  640 +++++++++++++------------
 po/sq.po          |  638 +++++++++++++------------
 po/sr.po          |  647 +++++++++++++------------
 po/sr@latin.po    |  639 +++++++++++++------------
 po/sv.po          |  655 +++++++++++++------------
 po/ta.po          |  638 +++++++++++++------------
 po/te.po          |  638 +++++++++++++------------
 po/th.po          |  643 +++++++++++++------------
 po/tr.po          |  652 +++++++++++++------------
 po/ug.po          |  637 ++++++++++++++-----------
 po/uk.po          |  613 +++++++++++++-----------
 po/ur.po          |  574 ++++++++++++----------
 po/uz.po          | 1371 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/vi.po          |  637 ++++++++++++++-----------
 po/zh_CN.po       |  633 +++++++++++++-----------
 po/zh_HK.po       |  637 ++++++++++++++-----------
 po/zh_TW.po       |  645 +++++++++++++------------
 98 files changed, 35426 insertions(+), 25889 deletions(-)

commit 0ae8c26cf4aaf55494a6a468e24fd905c7fa8d93
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 5 14:51:24 2016 +0300

    update NEWS and pack 1.13.x changes into single 1.14.0 entry

 NEWS | 52 +++++++++++++++++++++++++---------------------------
 1 file changed, 25 insertions(+), 27 deletions(-)

commit 6e0ddb9837551bd33b2f0b75a8f83cb3d2d36927
Author: monsta <monsta@inbox.ru>
Date:   Mon Mar 21 11:44:04 2016 +0300

    run gksu binary instead of loading libgksu2.so (which is GTK+2 only)

 src/procman_gksu.cpp | 55 ++++++++++++++++------------------------------------
 1 file changed, 17 insertions(+), 38 deletions(-)

commit 5e53cbbdfaa20f43e99924b4fe4b86ec943451ea
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Mar 16 16:30:50 2016 +0100

    release 1.13.2

 NEWS         | 17 +++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 18 insertions(+), 1 deletion(-)

commit e44f2e847ddb5db5b6944f6c2f993981adbd3ad4
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 2 14:44:15 2016 +0300

    disks: implement saving and loading width and visibility of columns
    
    adapted from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=f589439a966151b2589bca21a4d6b40455eb201a
    
    with necessary changes from https://github.com/mate-desktop/mate-system-monitor/commit/eebc190a5aeb6ebaf5c3a868b68434679adddc74

 src/disks.cpp                              | 41 ++++++++++++++++++++++
 src/org.mate.system-monitor.gschema.xml.in | 56 ++++++++++++++++++++++++++++++
 src/procdialogs.cpp                        | 29 +++++++++++-----
 src/procman.cpp                            | 25 +++++++------
 4 files changed, 130 insertions(+), 21 deletions(-)

commit 2e5e07b81f18fa4b3cfa8dfdbb08d716d58845ce
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 2 14:21:48 2016 +0300

    fix typo in disk view gschema description

 src/org.mate.system-monitor.gschema.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 698d591dcdc44adf78f32341276b3d1fb2d5a6e8
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 2 13:50:31 2016 +0300

    some style corrections

 src/disks.cpp     | 9 +++++----
 src/procman.cpp   | 9 +++++----
 src/proctable.cpp | 3 +--
 3 files changed, 11 insertions(+), 10 deletions(-)

commit 6ad1bdcf4b81785c8296b29eaccb73becebce21f
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 2 11:37:14 2016 +0300

    clean up some includes, remove some dead code

 src/cgroups.cpp |  8 ++++----
 src/cgroups.h   |  6 ++----
 src/lsof.cpp    | 11 -----------
 src/util.h      |  4 ----
 4 files changed, 6 insertions(+), 23 deletions(-)

commit 4cf84b34933740627b09723d416c1969d21e47c7
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 2 11:22:41 2016 +0300

    process table: rename proctable_update_all func to proctable_update

 src/callbacks.cpp   | 4 ++--
 src/procactions.cpp | 4 ++--
 src/procman.cpp     | 8 ++++----
 src/proctable.cpp   | 2 +-
 src/proctable.h     | 2 +-
 5 files changed, 10 insertions(+), 10 deletions(-)

commit a7f24682fe36b79e9076ac30d41c326f5c5206e8
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 2 11:20:53 2016 +0300

    process table: proctable_update_list is a local function

 src/proctable.cpp | 2 +-
 src/proctable.h   | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 93363c4e1081af38ade51eaf4739dc220414ac9e
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 17:43:35 2016 +0300

    remove some dead code

 src/util.h | 37 -------------------------------------
 1 file changed, 37 deletions(-)

commit 939d32b56e3bfaf51e604ecda4363223ea6a6753
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 17:30:32 2016 +0300

    remove useless include

 src/load-graph.cpp | 1 -
 1 file changed, 1 deletion(-)

commit 6316d1e7d9ecf742810c2cc90e518cc1e8bd7c9b
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 17:14:45 2016 +0300

    fix segfault on view mode change with process properties open
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=76545e553c620d9b3437456bb4dbffa355c59816

 src/openfiles.cpp      |  5 +++--
 src/procproperties.cpp | 11 ++++++-----
 2 files changed, 9 insertions(+), 7 deletions(-)

commit 254a91f8e544685e7de8b110f4981561e2a77a74
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 15:20:33 2016 +0300

    Revert "process table: don't clear multiple rows selection on right click"
    
    This reverts commit b7c2c34a6662ee043be997c54ff1c85318818c2d.
    
    dammit. this made right-clicking on initially unfocused process table
    impossible. I had to select a process first, then right-click on it,
    or else all the right-click menu items were appearing grayed out.
    
    reverting this until we figure out how to do it without unwanted side
    effects.

 src/callbacks.cpp | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 08a5f99c1d53e27f6517c129c79fe4e7b887a843
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 15:12:49 2016 +0300

    process table: replace useless callback with single function
    
    all columns except for the first one were already made reorderable,
    so there's no need for this callback with a loop. just make the first
    column reorderable too and we're done.
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=3bd1b01b5e983379e69c02613280a218e8873914

 src/proctable.cpp | 21 +--------------------
 1 file changed, 1 insertion(+), 20 deletions(-)

commit dc2c4085936c4768bbfa03260dfd93ebaa3f8fad
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 15:08:41 2016 +0300

    drop weird matesu support (did matesu ever exist?!)

 src/Makefile.am        |  1 -
 src/procdialogs.cpp    |  3 ---
 src/procman_matesu.cpp | 40 ----------------------------------------
 src/procman_matesu.h   | 12 ------------
 4 files changed, 56 deletions(-)

commit 59b405f49c4548e9c0ebf3fd2329ca0b0a042125
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 15:04:45 2016 +0300

    drop ancient NEWS.GNOME
    
    which is also a victim of old 'gnome -> mate' search & replace

 NEWS.GNOME | 508 -------------------------------------------------------------
 1 file changed, 508 deletions(-)

commit dc33801c3ef595a39034ce8c8b08c9d0b3e3ada8
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 15:03:19 2016 +0300

    README: don't mention libgnomesu

 README | 1 -
 1 file changed, 1 deletion(-)

commit 06403e0ad2d232d7612d792bb0e976d373d961f4
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 14:51:11 2016 +0300

    process properties: show cgroups + show N/A when selinux isn't set
    
    from:
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=f3879a89f9bcc3e96b009c0033accb461c0672ac
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=7484244ea470690e52dd5b3ced0ff36917000355

 src/procproperties.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cb062d03c041122c79950216a1eaa8f263e84a51
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 14:33:15 2016 +0300

    process table: show running state when CPU time changes
    
    adapted from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=da371b277e0ebbc71708f1ce91f879cfc4ab9c9f

 src/proctable.cpp | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit b7c2c34a6662ee043be997c54ff1c85318818c2d
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 14:25:23 2016 +0300

    process table: don't clear multiple rows selection on right click
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=70dd0dc7408f004bdeffbabaa0a874295ff9120f

 src/callbacks.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8110ba34b9b447353e1e344ea8fa92c30fe9bd78
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 29 18:05:55 2016 +0300

    fix copy-paste error, use proper type, keep it simple
    
    - wrong function name introduced in https://github.com/mate-desktop/mate-system-monitor/commit/9ae0be5ccf7df2f35c13653da97771b06cf6603f
    - format_rate function already returns a string, no need to convert

 src/util.cpp | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit f3dc995d287e4a62b7242bf467f3a9a5742c3641
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 29 18:02:10 2016 +0300

    sysinfo: fix forgotten memleak

 src/sysinfo.cpp | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit b697b585d3e492014682f4d176b0dd2bbb05bef7
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 29 17:44:52 2016 +0300

    process table: avoid expanding collapsed nodes on every refresh
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=f7f4c5506bc47f7cd340ce02404029a0ca6185e0

 src/proctable.cpp | 2 --
 1 file changed, 2 deletions(-)

commit 5fc85dd404ee822eef15bae2726d859f23e1a8af
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 29 17:43:05 2016 +0300

    main window: save maximized state in gsettings on exit
    
    and load it on startup
    
    adapted from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=edf4163bb2e9ad1dd9b8a5b7c7244ccd8753d4b5

 src/interface.cpp                          |  3 +++
 src/org.mate.system-monitor.gschema.xml.in |  4 ++++
 src/procman.cpp                            | 22 ++++++++++++++++------
 src/procman.h                              |  1 +
 4 files changed, 24 insertions(+), 6 deletions(-)

commit 19090fe133ceb383535070216471f995690f64c8
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 29 17:08:11 2016 +0300

    defaulttable: use correct icons (fix old gnome->mate replace error)
    
    and remove some entries for which no replacement could be found

 src/defaulttable.h | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit e19221ee82c696eb55870c1f776bc892296fd33c
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 29 16:57:52 2016 +0300

    kill/end/renice dialogs: use proper quotation marks
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=2195a659f069478a9a28a50b5bd8231a561bb9f9

 src/procdialogs.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6b32e79c0e4e21300b4ae8381ca967a3a51c0c14
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 29 16:27:29 2016 +0300

    change colour -> color in comments for consistency with strings

 src/gsm_color_button.c | 2 +-
 src/gsm_color_button.h | 2 +-
 src/load-graph.cpp     | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit d37bc1ca24a7f717703e1227af35626652d1be82
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 29 16:11:50 2016 +0300

    schema: make column names match the actual names in UI
    
    adapted from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=cfbeb0f71dfaca95118a27046941a7f3b0180e6a
    
    and corrected some more entries that aren't corrected there

 src/org.mate.system-monitor.gschema.xml.in | 64 +++++++++++++++---------------
 1 file changed, 32 insertions(+), 32 deletions(-)

commit 58fd36cfb445a580f3613291756f80b1ec8f376b
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 29 15:37:03 2016 +0300

    prefs dialog: fix refresh rate not saving in some cases
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=abc1f5b47efa2dcd5f0e9c378283e9d9e6ac9fdf
    
    cases are described in
    https://bugzilla.gnome.org/show_bug.cgi?id=543315

 src/procdialogs.cpp | 1 +
 1 file changed, 1 insertion(+)

commit 67f2a369d1bc9a3b834d3e49a8508ae41bcc1ede
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Feb 28 16:56:54 2016 +0100

    GTK+-3: Get values from GtkStyleContext states properly

 src/load-graph.cpp | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 08924225e0a39d4a50da1c9bab824dc40986f44b
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Feb 21 23:12:31 2016 +0100

    release 1.13.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 66f22094cc1363355c0321c8a722e72eca67682c
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Feb 19 14:23:01 2016 +0000

    Sync with Transifex

 po/be.po    |  465 ++++++++--------
 po/br.po    |  263 +++++-----
 po/ca.po    |  670 ++++++++++++-----------
 po/cs.po    |  552 ++++++++++---------
 po/da.po    |  413 +++++++--------
 po/el.po    |  397 +++++++-------
 po/es_MX.po |  397 +++++++-------
 po/fr.po    |  395 +++++++-------
 po/he.po    |  398 +++++++-------
 po/hy.po    |  775 ++++++++++++++-------------
 po/it.po    |  398 +++++++-------
 po/lt.po    |  436 ++++++++-------
 po/nb.po    |  395 +++++++-------
 po/ne.po    | 1691 +++++++++++++++++++++++++++++++++++------------------------
 po/ro.po    |  394 +++++++-------
 po/ru.po    |  407 +++++++-------
 po/sk.po    |  515 +++++++++---------
 po/uk.po    |  414 +++++++--------
 18 files changed, 4781 insertions(+), 4594 deletions(-)

commit db4046a313255440eb8432680aa4c920a7813c98
Author: monsta <monsta@inbox.ru>
Date:   Wed Feb 10 14:07:57 2016 +0300

    get exact number of CPUs instead of guessing
    
    adapted from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=549e2e3308620810dd795321d02f041e8ab58d29

 src/procman.cpp | 15 ++++-----------
 1 file changed, 4 insertions(+), 11 deletions(-)

commit 107d04fdbf5b22b439b13a648353974157cca6a3
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 8 16:29:51 2016 +0300

    sysinfo: fix indent a bit

 src/sysinfo.cpp | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7de773a2060f70968eddf1562e33ff3a2b4fd5f0
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 28 16:12:08 2016 +0300

    use x/y align functions for GtkLabel with GTK+ >= 3.16
    
    Conflicts:
            src/interface.cpp
            src/procdialogs.cpp
            src/sysinfo.cpp
            src/util.cpp

 src/interface.cpp   | 84 +++++++++++++++++++++++++++++++++++++++++++----------
 src/procdialogs.cpp | 54 ++++++++++++++++++++++++++++------
 src/sysinfo.cpp     | 30 +++++++++++++++----
 src/util.cpp        |  6 +++-
 4 files changed, 143 insertions(+), 31 deletions(-)

commit 406e9c33b9434ce398177a1137567e8c7abb78c8
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Feb 4 01:00:48 2016 +0100

    release 1.13.0

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 317e7b80bdfbba2abd9cc605acf78114809779b8
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Feb 4 00:30:18 2016 +0100

    reduce min. version of GtkMm to fix build in rhel7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ec9774d101cd724aba8aec9cf0a8b2f4d0bf088
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Feb 3 16:42:28 2016 +0100

    Changed graph grid line colors based
    
    inspired from:
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=cb54374

 src/load-graph.cpp | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 63adf8889dea1f36aabe215bfcf33335ef0d057d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Feb 3 16:33:24 2016 +0100

    load-graph.cpp: Draw the background explicitly
    
    The gdk_window_set_background_pattern() function is a little dubious
    to use unless you are writing GTK+ code since the background may be
    overridden by gtkwidget.c whenever the style of the widget changes.
    
    Needed for gtk+-3.20

 src/load-graph.cpp | 22 ++++++++++++----------
 src/load-graph.h   |  2 +-
 2 files changed, 13 insertions(+), 11 deletions(-)

commit e82c6352ba8bec918114df56c459f6c06b4777c2
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 21 13:43:21 2016 +0300

    use gtk_image_new_from_icon_name

 src/lsof.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2194bbaf2511234c726e3e1ec8a361c5a62ffce9
Author: Monsta <monsta@inbox.ru>
Date:   Sun Dec 13 13:11:31 2015 +0300

    set minimum GTK+ version to 3.14 and drop some deprecated code

 configure.ac        |  4 ++--
 src/interface.cpp   | 56 -----------------------------------------------------
 src/procdialogs.cpp | 36 ----------------------------------
 src/sysinfo.cpp     | 25 ------------------------
 src/util.cpp        |  4 ----
 5 files changed, 2 insertions(+), 123 deletions(-)

commit cbb995375f1b97679fd42090e31277666249cc84
Author: Monsta <monsta@inbox.ru>
Date:   Sat Dec 12 23:14:17 2015 +0300

    drop GTK+2 code and --with-gtk build option

 configure.ac           |  32 ++-------
 src/callbacks.cpp      |   9 ---
 src/disks.cpp          |   9 +--
 src/gsm_color_button.c | 182 -------------------------------------------------
 src/gsm_color_button.h |  13 ----
 src/interface.cpp      |  48 +++++--------
 src/load-graph.cpp     |  51 +-------------
 src/load-graph.h       |   8 ---
 src/lsof.cpp           |  21 ++----
 src/memmaps.cpp        |   3 -
 src/openfiles.cpp      |  12 +---
 src/procdialogs.cpp    |  70 ++++++++-----------
 src/procman.cpp        |  40 -----------
 src/procman.h          |  10 ---
 src/procproperties.cpp |  12 +---
 src/proctable.cpp      |   3 -
 src/sysinfo.cpp        |  79 +--------------------
 17 files changed, 67 insertions(+), 535 deletions(-)

commit 6a9264b25f20fe81d837217a6d4875d4e594983f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 5 03:04:58 2016 +0100

    pre-bump version to 1.13.0

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 017225c6cc4341c5d62b3ec69d335f08cfcc7029
Author: Monsta <monsta@inbox.ru>
Date:   Sun Jan 3 00:37:42 2016 +0300

    remove ancient mateconf tool from list of known apps

 src/defaulttable.h | 1 -
 1 file changed, 1 deletion(-)

commit efe28eb0cc6bd395b03f667635c001b71edea881
Author: Monsta <monsta@inbox.ru>
Date:   Sun Jan 3 00:35:55 2016 +0300

    drop MateConf migration script

 src/Makefile.am                 |  6 ++--
 src/mate-system-monitor.convert | 74 -----------------------------------------
 2 files changed, 2 insertions(+), 78 deletions(-)

commit e53331f921a05d7d130fe3f494c3594a8ef1b5e0
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 17 15:08:47 2015 +0300

    remove unneeded assert
    
    we don't need to crash here, thanks.
    the code below is able to handle excessive column ids just fine.
    
    fixes https://github.com/mate-desktop/mate-system-monitor/issues/76

 src/proctable.cpp | 2 --
 1 file changed, 2 deletions(-)

commit 38720621c10e55d683b11ce9b3a6c9adba2abbf5
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 10 11:32:56 2015 +0300

    prefs dialog: increase height a bit

 src/procdialogs.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit abcd7cf0793aba8abfc967122a6b83c67d826a99
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 30 12:36:08 2015 +0300

    Bump version to 1.12.1

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit be33e464ce273e4ec32f0c1a5f614710fe1c2fea
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 3 16:47:49 2015 +0300

    remove even more dead code

 src/e_date.c      |  7 -------
 src/openfiles.cpp | 13 -------------
 2 files changed, 20 deletions(-)

commit 346e96a1be7bc54d1bc63fa45ab81df19a02b687
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Nov 30 00:33:41 2015 +0100

    GTK3: do not use deprecated GtkMisc

 src/interface.cpp   | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/procdialogs.cpp | 36 ++++++++++++++++++++++++++++++++++++
 src/sysinfo.cpp     | 28 ++++++++++++++++++++++++++++
 src/util.cpp        |  4 ++++
 4 files changed, 120 insertions(+)

commit 4534e68bb0cb31734be338efa06cb6d3e00180f6
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Nov 29 22:03:16 2015 +0100

    GTK3: don't use deprecated gtk_{v/h}-box

 src/disks.cpp          | 4 ++++
 src/interface.cpp      | 5 +++++
 src/load-graph.cpp     | 3 +++
 src/lsof.cpp           | 4 ++++
 src/openfiles.cpp      | 5 +++++
 src/procdialogs.cpp    | 5 +++++
 src/procproperties.cpp | 5 +++++
 src/sysinfo.cpp        | 4 ++++
 8 files changed, 35 insertions(+)

commit 370380d307344bfc5ab8c87142b12009937d48d6
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Nov 29 21:00:44 2015 +0100

    Fixed adustments to only be set with a page_size of 0
    
    * Setting an adjustment with non-zero page size is deprecated
    
    taken from:
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=9ff48dc

 src/procdialogs.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 95131f1b6b9eb6a8bfa7d5d39c12d6d29fea8f49
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Nov 29 19:38:47 2015 +0100

    GTK3: Drop use of deprecated treeview API. gtk_tree_view_set_rules_hint
    
    taken from:
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=7fefa84

 src/disks.cpp          | 2 ++
 src/lsof.cpp           | 3 ++-
 src/memmaps.cpp        | 2 ++
 src/openfiles.cpp      | 2 ++
 src/procproperties.cpp | 2 ++
 src/proctable.cpp      | 2 ++
 6 files changed, 12 insertions(+), 1 deletion(-)

commit e2624dc7ea05cb8a91f71c6ae13495cc51a24567
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Nov 29 19:13:51 2015 +0100

    GTK3: don't use deprecated gtk_style_context_get_font
    
    inspired from:
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=a2d7fc1

 src/load-graph.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7d7127bfa1b1c2e8d10467087556298cdc77102
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Nov 29 18:10:09 2015 +0100

    GTK3: Do not use deprecated API
    
    Namely, we make the following replacements:
    * GtkStyle -> GtkStyleContext
    * GdkColor -> GdkRGBA
    * GtkColorSelectionDialog -> GtkColorChooserDialog
    
    taken from....but adjusted:
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=7ac1c1c

 src/callbacks.cpp      |  10 ++++
 src/gsm_color_button.c | 140 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/gsm_color_button.h |  12 ++++-
 src/load-graph.cpp     |  28 ++++++++++
 src/load-graph.h       |   4 ++
 src/procman.cpp        |  40 ++++++++++++++
 src/procman.h          |  10 ++++
 7 files changed, 242 insertions(+), 2 deletions(-)

commit df50b9c871f4f00609bef2ee022495677c4511fa
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Nov 29 00:51:23 2015 +0100

    GTK3: Replaced sysinfo gtk tables with gtk grids
    
    taken from: https://git.gnome.org/browse/gnome-system-monitor/commit/?id=5047e43

 src/sysinfo.cpp | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

commit 5e203bc024a3d8a34921ae237ae595002889bf12
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 1 17:50:17 2015 +0300

    process properties: use proper format for "CPU time" property
    
    it should be the same as in "CPU time" column of process table now
    
    adapted from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=3c1f17877f95fcac7f5d437739305e245af7ba8b

 src/procproperties.cpp | 20 +-------------------
 src/util.cpp           |  4 ++--
 src/util.h             |  2 ++
 3 files changed, 5 insertions(+), 21 deletions(-)

commit eeeaff5770c91943baa3c506da3d05b7092c7690
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 1 17:18:33 2015 +0300

    remove more dead code

 src/interface.cpp | 30 ++----------------------------
 1 file changed, 2 insertions(+), 28 deletions(-)

commit c0ad3dea7dba400bcb4cda14d0d1d07d73a22d58
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 1 16:53:47 2015 +0300

    memmaps: kill stupid periodic autoscrolling to the top of list
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit?id=ed696eba1438231e797774510a3449140f31fc9c

 src/memmaps.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8ebbe78fe9e499b6c74abddb855cdac3b89cb94b
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 1 16:50:20 2015 +0300

    memmaps: remove dead code

 src/memmaps.cpp | 34 ----------------------------------
 1 file changed, 34 deletions(-)

commit ae45abab34821e38e1135f3875a5f0f201cda3da
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 1 16:01:33 2015 +0300

    process properties: use proper translatable date for "Started" property
    
    it should be the same as in "Started" column of process table now
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=493b93ddf6bfb772769ca6942bf07deaac8e94bc

 src/procproperties.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7b43e1845d8a30e92643b366b50df1d4134cb981
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 1 15:56:21 2015 +0300

    Give procman_format_date_for_display a proper C linkage
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=e94b981e794b8a0ae3d682b90c265de365c2d28a

 src/e_date.h | 5 +++++
 1 file changed, 5 insertions(+)

commit 56fd4ac66dd3b93a51cb545c2ef838125bfd247f
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 30 12:00:06 2015 +0300

    disks: set minimum width for all columns

 src/disks.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 1fb4c47e6dba13f56537727e3550998cedaa3aa7
Author: monsta <monsta@inbox.ru>
Date:   Thu Nov 26 18:34:19 2015 +0300

    disks: set fixed width on columns

 src/disks.cpp | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 9ab4c15c7ae1b1160d9a1d8a5879a46a0e5cd0c5
Author: monsta <monsta@inbox.ru>
Date:   Thu Nov 26 17:50:34 2015 +0300

    process table: set correct minimum width for all columns

 src/procman.cpp   |  2 +-
 src/proctable.cpp | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit e03616c8b037170fafed8085d450bd6e8fcc722d
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 30 12:20:58 2015 +0300

    fix logic error
    
    from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=1207e80338467bb5ef9b3e1fe6577a4cb862a31c

 src/openfiles.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 308b878e643c2b79a47577db89bf9c8d8072627e
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Nov 29 18:44:15 2015 +0100

     remove glib max version define, to avoid spamming build logs

 configure.ac | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 8c4f77b4fc9b70d75141708d39894c14d06e9e2b
Author: Monsta <monsta@inbox.ru>
Date:   Fri Nov 27 20:26:28 2015 +0300

    disks: set minimum width for device column
    
    fixes https://github.com/mate-desktop/mate-system-monitor/issues/62

 src/disks.cpp | 1 +
 1 file changed, 1 insertion(+)

commit eebc190a5aeb6ebaf5c3a868b68434679adddc74
Author: monsta <monsta@inbox.ru>
Date:   Wed Nov 25 13:36:54 2015 +0300

    delay saving columns width to GSettings by 250 ms
    
    fixes eating CPU and slowdowns during columns resizing
    
    adapted from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=89931e2e24df517e1c86929a64d4fcde55d599a7

 src/proctable.cpp | 43 +++++++++++++++++++++++++++++--------------
 1 file changed, 29 insertions(+), 14 deletions(-)

commit df6ad69d87b8e3a9b89d0aa96c7830fcd69349bd
Author: monsta <monsta@inbox.ru>
Date:   Tue Nov 24 15:48:03 2015 +0300

    process table: force icon size on loading
    
    fixes the huge icon of mate-sensors-applet process in LMDE 2
    
    adapted from
    https://git.gnome.org/browse/gnome-system-monitor/commit/?id=5480731230f9c6849fbf0aea1288b18bc9e62480

 src/prettytable.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4669a68b2d0627172a34d63e20d7d17929725878
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Tue Nov 3 14:45:41 2015 +0000

    1.12.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 383fc90bf8b4a2c9a41537114b51ada334c7fc4c
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Tue Nov 3 14:45:21 2015 +0000

    Sync translations with transifex

 po/br.po    | 1318 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fr_CA.po | 1318 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/hy.po    | 1319 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/jv.po    | 1318 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ro.po    |  254 ++++++------
 5 files changed, 5400 insertions(+), 127 deletions(-)

commit 72fa19536f9b5b3440986eef3b918874fdc9860a
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 30 16:31:53 2015 +0300

    update NEWS for 1.12

 NEWS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 56594f6f10ba04aa51af976bc8339ea9ae54ea21
Author: Benoît Dejean <bdejean@gmail.com>
Date:   Sun Aug 2 06:37:21 2015 +0200

    Add a smart CXXFLAGS / std=c++11 switch.
    
    Code from glom and murrayc http://www.murrayc.com/permalink/2015/07/31/gtkmm-now-uses-c11/ .

 configure.ac                   |   3 +-
 m4/ax_cxx_compile_stdcxx_11.m4 | 168 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 170 insertions(+), 1 deletion(-)

commit 744187cb9eeecdfa9ce1581aec2a6c8e2573fa09
Author: monsta <monsta@inbox.ru>
Date:   Tue Oct 6 16:56:33 2015 +0300

    Bump version to 1.11.0

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 66224248e7108a67bdf84497531319f5e9791b6d
Author: Monsta <monsta@inbox.ru>
Date:   Thu Oct 1 10:27:12 2015 +0300

    configure.ac: add support for new libsystemd library
    
    adapted from
    https://git.gnome.org/browse/gnome-system-monitor/commit?id=31d37f521d3efdb338b6ec4f83f3dbef68958aa1

 configure.ac | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit f08bdd1a6d738672dbce5d936f71e0d9b21ee130
Author: Monsta <monsta@inbox.ru>
Date:   Thu Oct 1 10:16:13 2015 +0300

    configure.ac: drop C89 support, it's ancient

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit ade40b61e66e1db6c0473544d519cc46fc1698a6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Oct 1 00:00:02 2015 +0200

    drop dependency to mate-icon-theme
    
    The dependency is not really needed; depending on GTK+ should be enough
    to guarantee the presence of a spec-compliant icon theme.

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit f814590318fbf3ac4ea319c61901f4bdbdaf94e8
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 8 15:38:14 2015 +0200

    define max/min version of GLib

 configure.ac | 6 ++++++
 1 file changed, 6 insertions(+)

commit 9c159beee589a225cfd7d7d9aede5a3b7948e9d7
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 8 15:38:03 2015 +0200

    Rework gsettings schema building
    
    * Bump intltool required version for gsettings support
    * Extract strings with intltool directly
    * Let autoconf generate the xml files

 configure.ac                                       |   3 +-
 po/POTFILES.in                                     |   2 +-
 src/Makefile.am                                    |  11 +-
 ...n.in => org.mate.system-monitor.gschema.xml.in} | 182 ++++++++++-----------
 4 files changed, 98 insertions(+), 100 deletions(-)

commit 67aa8ee63cca12aac5fff8ae6548d0e210021bba
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Sun Sep 6 12:42:06 2015 +0100

    Interface: Give the notebook 12px border width so it doesn't stick to the sides of the main window.

 src/interface.cpp | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 7f8c9d4cfde0348448901f0bfcd4b1da9542c5a8
Merge: e101791 ee512e3
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Sat Sep 5 17:30:27 2015 +0100

    Merge branch 'master' of github.com:mate-desktop/mate-system-monitor

commit e10179169327f7e2e3432f2b7775b56176710c99
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Sat Sep 5 17:29:32 2015 +0100

    SysInfo: Let distributions define a custom side image

 src/sysinfo.cpp | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit ee512e3248312ebd4c661481d1bd79d53926024c
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Sep 5 18:27:43 2015 +0200

    Sync translations with transifex

 po/am.po          | 14 +++++-----
 po/ar.po          | 16 ++++++------
 po/as.po          |  2 +-
 po/ast.po         |  2 +-
 po/az.po          |  2 +-
 po/be.po          |  4 +--
 po/bg.po          |  2 +-
 po/bn.po          |  2 +-
 po/bn_IN.po       |  2 +-
 po/bs.po          |  2 +-
 po/ca.po          |  2 +-
 po/ca@valencia.po |  2 +-
 po/cmn.po         |  2 +-
 po/cs.po          |  9 ++++---
 po/cy.po          |  2 +-
 po/da.po          |  2 +-
 po/de.po          |  2 +-
 po/dz.po          |  2 +-
 po/el.po          | 21 ++++++++-------
 po/en_AU.po       |  2 +-
 po/en_CA.po       |  2 +-
 po/en_GB.po       |  2 +-
 po/eo.po          |  2 +-
 po/es.po          |  2 +-
 po/es_MX.po       |  2 +-
 po/et.po          | 68 ++++++++++++++++++++++++------------------------
 po/eu.po          |  2 +-
 po/fa.po          |  2 +-
 po/fi.po          |  2 +-
 po/fr.po          |  9 ++++---
 po/ga.po          |  2 +-
 po/gl.po          |  2 +-
 po/gu.po          |  2 +-
 po/he.po          |  2 +-
 po/hi.po          |  2 +-
 po/hr.po          | 62 +++++++++++++++++++++----------------------
 po/hu.po          |  2 +-
 po/id.po          |  4 +--
 po/it.po          |  2 +-
 po/ja.po          |  2 +-
 po/ka.po          |  2 +-
 po/kk.po          |  2 +-
 po/kn.po          |  2 +-
 po/ko.po          |  2 +-
 po/ku.po          |  2 +-
 po/ky.po          |  2 +-
 po/li.po          |  2 +-
 po/lt.po          | 10 +++----
 po/lv.po          |  2 +-
 po/mai.po         |  2 +-
 po/mg.po          |  2 +-
 po/mk.po          |  2 +-
 po/ml.po          |  4 +--
 po/mn.po          |  2 +-
 po/mr.po          |  2 +-
 po/ms.po          |  2 +-
 po/nah.po         |  2 +-
 po/nb.po          |  2 +-
 po/nds.po         |  2 +-
 po/nl.po          |  2 +-
 po/nn.po          |  2 +-
 po/oc.po          |  2 +-
 po/or.po          |  4 +--
 po/pa.po          |  2 +-
 po/pl.po          | 78 ++++++++++++++++++++++++++++---------------------------
 po/ps.po          |  2 +-
 po/pt.po          |  2 +-
 po/pt_BR.po       |  2 +-
 po/ro.po          |  8 +++---
 po/ru.po          |  2 +-
 po/rw.po          |  2 +-
 po/si.po          |  2 +-
 po/sk.po          |  2 +-
 po/sl.po          |  9 ++++---
 po/sq.po          | 47 +++++++++++++++++----------------
 po/sr.po          |  2 +-
 po/sr@latin.po    |  2 +-
 po/sv.po          | 42 +++++++++++++++---------------
 po/ta.po          |  2 +-
 po/te.po          |  2 +-
 po/th.po          |  2 +-
 po/tr.po          |  7 ++---
 po/ug.po          |  2 +-
 po/uk.po          |  2 +-
 po/ur.po          |  2 +-
 po/vi.po          |  2 +-
 po/zh_CN.po       |  2 +-
 po/zh_HK.po       |  2 +-
 po/zh_TW.po       |  2 +-
 89 files changed, 283 insertions(+), 275 deletions(-)

commit aa60086b0f20c4a60efc57a2baa26731f99587cc
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Sat Sep 5 17:12:17 2015 +0100

    SysInfo: Added proper detection for Linux Mint & LMDE

 src/sysinfo.cpp | 34 ++++++++++++++++++++++++++++++++--
 1 file changed, 32 insertions(+), 2 deletions(-)

commit de9cb53cbfa1cb35db4028f2921bcbcf8386184d
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 13 14:42:09 2015 +0300

    Bump version to 1.10.1

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 56e04ee1443fb5492872f41fda2c33449aea4610
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 10 11:16:32 2015 +0200

    help: fix legal page

 help/C/index.docbook | 48 ++++++++++++++++++++++++++++++++++--------------
 1 file changed, 34 insertions(+), 14 deletions(-)

commit 02eadb106e1d5c1c5923e113dffe5aada37731cb
Author: Monsta <monsta@inbox.ru>
Date:   Thu Jul 9 17:58:03 2015 +0300

    help: fix merge conflicts in translations

 help/ar/ar.po       | 2 +-
 help/zh_CN/zh_CN.po | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c621fa91f46b5228241e1277900047fcd51c2664
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jul 8 22:13:03 2015 +0200

    use valid link to mate feedback page

 help/C/index.docbook | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 15445ddfb1d8d0e08932c5c2ebcc58f82a15c0ba
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jul 8 22:11:56 2015 +0200

    Revert "remove non-existing mate-feedback links"
    
    This reverts commit b384256a5b346106261a045185354b5af81d2cf5.

 help/C/index.docbook | 9 +++++++++
 1 file changed, 9 insertions(+)

commit e0cd027821f1b3312c4cdd0165556ddacefa0538
Author: infirit <infirit@gmail.com>
Date:   Thu Jul 2 23:49:48 2015 +0200

    help: fix broken images

 help/C/figures/mate-system-monitor_window.png  | Bin 88521 -> 88522 bytes
 help/ar/figures/mate-system-monitor_window.png | Bin 72185 -> 72186 bytes
 help/de/figures/mate-system-monitor_window.png | Bin 78867 -> 78868 bytes
 help/fr/figures/mate-system-monitor_window.png | Bin 89169 -> 89170 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

commit 7f3e4d9be61b2d957c225f16f8aa9a56271e0fcf
Merge: aaf40af 7be9806
Author: Martin Wimpress <code@flexion.org>
Date:   Sat Jun 27 08:14:26 2015 +0100

    Merge pull request #50 from obache/neatsrc
    
    procproperties: Fix on NetBSD

commit 7be9806ada1e43504e978808b7995c24b46dd1fc
Author: OBATA Akio <obache@users.noreply.github.com>
Date:   Sat Jun 27 14:47:01 2015 +0900

    procproperties: Fix on NetBSD
    
    On NetBSD, HZ tick can be retrieved same as OpenBSD.

 src/procproperties.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit aaf40aff07dd23fe0c2364df6e9c7ca5d60e09d0
Merge: 89bc26f b384256
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 25 22:31:28 2015 +0100

    Merge pull request #49 from NiceandGently/master
    
    remove non-existing mate-feedback links

commit b384256a5b346106261a045185354b5af81d2cf5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jun 25 17:29:38 2015 +0200

    remove non-existing mate-feedback links

 help/C/index.docbook | 9 ---------
 1 file changed, 9 deletions(-)

commit 89bc26f243343a7145b308f8c732ce37f62e6dae
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Fri Jun 12 14:02:13 2015 +0200

    Sync translations with transifex

 po/en_AU.po | 164 ++++++++++++++++----------------
 po/es.po    |   9 +-
 po/ja.po    | 306 ++++++++++++++++++++++++++++++------------------------------
 po/ru.po    |  10 +-
 po/sk.po    |   7 +-
 po/sv.po    |  19 ++--
 po/uk.po    |  38 ++++----
 7 files changed, 281 insertions(+), 272 deletions(-)

commit ffcb8bc1cd01750520b001e7e4dcd453bd3f0956
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue May 5 09:40:40 2015 +0200

    Bump version to 1.10.0

 NEWS         | 5 +++--
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit c5e12d8f0a67cae396052046f815d878a34a715a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Apr 4 19:12:30 2015 +0200

    Bump version to 1.9.90

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ec140b3a4e75eea48d6561c7401fa4b9461a1d02
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Apr 4 19:12:14 2015 +0200

    Sync translations with transifex

 po/ar.po    |  129 +++----
 po/be.po    |   26 +-
 po/el.po    |   45 +--
 po/en_GB.po |    8 +-
 po/et.po    |   14 +-
 po/fa.po    | 1169 +++++++++++++++++++++++++++++++++++------------------------
 po/fr.po    |   79 ++--
 po/hu.po    |  115 +++---
 po/kk.po    |   54 +--
 po/ko.po    |   57 +--
 po/lt.po    |   22 +-
 po/pt.po    |  147 ++++----
 po/pt_BR.po |   45 +--
 po/ro.po    |   55 +--
 po/ru.po    |  160 ++++----
 po/rw.po    | 1164 ++++++++++++++++++++++++++++++++++------------------------
 po/sk.po    |    8 +-
 po/sl.po    |   65 ++--
 po/uk.po    |    4 +-
 po/zh_CN.po |  163 ++++-----
 20 files changed, 1999 insertions(+), 1530 deletions(-)

commit c7df204c758287223a4fd15805eba3a19db26539
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Fri Jan 23 09:25:48 2015 +0100

    Sync translations with transifex

 po/am.po          | 716 +++++++++++++++++++++++++++++++------------------
 po/ar.po          | 751 +++++++++++++++++++++++++++++++++-------------------
 po/as.po          | 732 ++++++++++++++++++++++++++++++++------------------
 po/ast.po         | 738 ++++++++++++++++++++++++++++++++-------------------
 po/az.po          | 690 +++++++++++++++++++++++++++++++-----------------
 po/be.po          | 754 +++++++++++++++++++++++++++++++++-------------------
 po/bg.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/bn.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/bn_IN.po       | 738 ++++++++++++++++++++++++++++++++-------------------
 po/bs.po          | 691 +++++++++++++++++++++++++++++++-----------------
 po/ca.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/ca@valencia.po | 738 ++++++++++++++++++++++++++++++++-------------------
 po/cmn.po         | 737 ++++++++++++++++++++++++++++++++-------------------
 po/cs.po          | 748 +++++++++++++++++++++++++++++++++-------------------
 po/cy.po          | 718 +++++++++++++++++++++++++++++++------------------
 po/da.po          | 739 ++++++++++++++++++++++++++++++++-------------------
 po/de.po          | 730 ++++++++++++++++++++++++++++++++------------------
 po/dz.po          | 729 ++++++++++++++++++++++++++++++++------------------
 po/el.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/en_AU.po       | 748 +++++++++++++++++++++++++++++++++-------------------
 po/en_CA.po       | 716 +++++++++++++++++++++++++++++++------------------
 po/en_GB.po       | 730 ++++++++++++++++++++++++++++++++------------------
 po/eo.po          | 710 +++++++++++++++++++++++++++++++------------------
 po/es.po          | 743 ++++++++++++++++++++++++++++++++-------------------
 po/es_MX.po       | 734 ++++++++++++++++++++++++++++++++-------------------
 po/et.po          | 730 ++++++++++++++++++++++++++++++++------------------
 po/eu.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/fi.po          | 743 ++++++++++++++++++++++++++++++++-------------------
 po/fr.po          | 741 ++++++++++++++++++++++++++++++++-------------------
 po/ga.po          | 693 +++++++++++++++++++++++++++++++-----------------
 po/gl.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/gu.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/he.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/hi.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/hr.po          | 735 ++++++++++++++++++++++++++++++++-------------------
 po/hu.po          | 743 ++++++++++++++++++++++++++++++++-------------------
 po/id.po          | 733 +++++++++++++++++++++++++++++++-------------------
 po/it.po          | 716 +++++++++++++++++++++++++++++++------------------
 po/ja.po          | 737 ++++++++++++++++++++++++++++++++-------------------
 po/ka.po          | 725 ++++++++++++++++++++++++++++++++------------------
 po/kk.po          | 683 ++++++++++++++++++++++++++++++-----------------
 po/kn.po          | 737 ++++++++++++++++++++++++++++++++-------------------
 po/ko.po          | 746 ++++++++++++++++++++++++++++++++-------------------
 po/ku.po          | 694 +++++++++++++++++++++++++++++++-----------------
 po/ky.po          | 719 ++++++++++++++++++++++++++++++++------------------
 po/li.po          | 686 ++++++++++++++++++++++++++++++-----------------
 po/lt.po          | 737 ++++++++++++++++++++++++++++++++-------------------
 po/lv.po          | 739 ++++++++++++++++++++++++++++++++-------------------
 po/mai.po         | 724 ++++++++++++++++++++++++++++++++------------------
 po/mg.po          | 716 +++++++++++++++++++++++++++++++------------------
 po/mk.po          | 732 ++++++++++++++++++++++++++++++++------------------
 po/ml.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/mn.po          | 690 +++++++++++++++++++++++++++++++-----------------
 po/mr.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/ms.po          | 735 ++++++++++++++++++++++++++++++++-------------------
 po/nah.po         | 704 ++++++++++++++++++++++++++++++++-----------------
 po/nb.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/nds.po         | 684 ++++++++++++++++++++++++++++++-----------------
 po/nl.po          | 729 ++++++++++++++++++++++++++++++++------------------
 po/nn.po          | 730 ++++++++++++++++++++++++++++++++------------------
 po/oc.po          | 694 +++++++++++++++++++++++++++++++-----------------
 po/or.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/pa.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/pl.po          | 741 ++++++++++++++++++++++++++++++++-------------------
 po/ps.po          | 712 +++++++++++++++++++++++++++++++------------------
 po/pt.po          | 777 ++++++++++++++++++++++++++++++++++--------------------
 po/pt_BR.po       | 747 ++++++++++++++++++++++++++++++++-------------------
 po/ro.po          | 744 ++++++++++++++++++++++++++++++++-------------------
 po/ru.po          | 743 ++++++++++++++++++++++++++++++++-------------------
 po/si.po          | 704 ++++++++++++++++++++++++++++++++-----------------
 po/sk.po          | 746 ++++++++++++++++++++++++++++++++-------------------
 po/sl.po          | 740 ++++++++++++++++++++++++++++++++-------------------
 po/sq.po          | 724 ++++++++++++++++++++++++++++++++------------------
 po/sr.po          | 743 ++++++++++++++++++++++++++++++++-------------------
 po/sr@latin.po    | 739 ++++++++++++++++++++++++++++++++-------------------
 po/sv.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/ta.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/te.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/th.po          | 737 ++++++++++++++++++++++++++++++++-------------------
 po/tr.po          | 743 ++++++++++++++++++++++++++++++++-------------------
 po/ug.po          | 737 ++++++++++++++++++++++++++++++++-------------------
 po/uk.po          | 738 ++++++++++++++++++++++++++++++++-------------------
 po/ur.po          | 728 ++++++++++++++++++++++++++++++++------------------
 po/vi.po          | 737 ++++++++++++++++++++++++++++++++-------------------
 po/zh_CN.po       | 739 ++++++++++++++++++++++++++++++++-------------------
 po/zh_HK.po       | 737 ++++++++++++++++++++++++++++++++-------------------
 po/zh_TW.po       | 725 ++++++++++++++++++++++++++++++++------------------
 87 files changed, 40742 insertions(+), 22790 deletions(-)

commit 6528762b8ac0b0f89f5df52a4cf57107b782ad28
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 22 09:32:13 2015 +0100

    Bump version to 1.9.2

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fdd68b3d1577af90bd37d990ac09ba8b5ee2f70d
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:17:13 2014 +0100

    Remove markup from translated strings
    
    Including the markup in the translated strings makes the
    translators job unnecessarily harder.
    
    Taken from GSM commit: c45ed812a74874ada38feaf4883de807d2a26cfb
    From: Matthias Clasen <mclasen@redhat.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=681271

 src/lsof.cpp    | 8 +++++---
 src/sysinfo.cpp | 4 ++--
 src/util.cpp    | 7 +++++--
 3 files changed, 12 insertions(+), 7 deletions(-)

commit 0dc96be11c125a73113985c37b6d91824578c43c
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:14:38 2014 +0100

    Removed unused allocation from load_graph_draw.
    
    Taken from GSM commit: 5084e4a76abdf089aecc1d3f8565604a31d03a4e
    From: Robert Roth <robert.roth.off@gmail.com>

 src/load-graph.cpp | 2 --
 1 file changed, 2 deletions(-)

commit f8d20d94ba55001016cb7cfed436ea37eafcfee7
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:13:52 2014 +0100

    Fixed incorrect int to pointer conversion warning.
    
    Taken from GSM commit: c1660319e400480e236d1120c4f833c8c3c96ff4
    From: Robert Roth <robert.roth.off@gmail.com>

 src/interface.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb569602a5a7bafde83f2cb5cad84d38dac0377c
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:13:04 2014 +0100

    Fixed unsigned overflow error (use guint64 instead of unsigned).
    
    Taken from GSM commit: 74ba377a5a7d4787595e1b46c1e880426584a2fd
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=681553

 src/load-graph.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e55735b613afe7af55a4e25fa92aadf9fb804294
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:08:47 2014 +0100

    OpenBSD: use G_N_ELEMENTS instead of nitems
    
    nitems is never guaranteed to be defined in sys/params.h as it is meant
    to be defined within a protected ifdef __KERNEL conditional.
    Use G_N_ELEMENTS from GLib which is the proper way of doing this.
    
    Taken from GSM commit: a9972b6a45b490fd316a1a536115baca465e3ae6
    From: Antoine Jacoutot <ajacoutot@gnome.org>

 src/procproperties.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0517ae4843573aeebefd1ae229c703906eb21b4e
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:07:43 2014 +0100

    Fix applied again to show cpu model on ARM after core summarizing
    enhancement.

 src/sysinfo.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5206221f26f98c61145b1799123b0ff67dcf7a87
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:07:02 2014 +0100

    Fixed falsly reporting 'Unknown model' again after after the core
    summarizing enhancement.

 src/sysinfo.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a5776bb793ba92b2f654a492f7755ca5b01d703
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:06:07 2014 +0100

    tree_store_update: gracefully handle null strings
    
    Taken from GSM commit: 65ed172b62dad0a4c286e0022831d3846dd98359
    From: Pavel Vasin <rat4vier@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=672741

 src/util.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5183fe16eeab60a08a1ea071102871458b215318
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:04:59 2014 +0100

    Mark forgotten string as translatable

 src/lsof.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6930d670aeb0a4c981e4d49221494c53da27d49
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:03:48 2014 +0100

    procproperties: unbreak on OpenBSD
    
    The asm/param.h header is only found on Linux.
    On OpenBSD, the HZ tick is not defined in any header but can be
    retrieved from the running kernel using the sysctl(3) interface.
    
    Taken from GSM commit: 94be681c159b56ad42afb13c3e18d59be4422558
    From: Antoine Jacoutot <ajacoutot@gnome.org>

 src/procproperties.cpp | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 9054799f2fbdf17dfc5ffad0be1d3f96548c5a13
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:01:04 2014 +0100

    Collapse kthreadd by default on linuxes in process tree mode
    
    Taken from GSM commit: e0d1da0eccda35a22038726fc574b8ab92f05ff0
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=667830

 src/proctable.cpp | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit a1be8b72cb9cf9cb259831fca6769ab16cef5b44
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 01:00:17 2014 +0100

    proctable: small whitespace fix

 src/proctable.cpp | 1 +
 1 file changed, 1 insertion(+)

commit d27b9eb6bfbf119641a62cca679cc2ec68117d41
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 00:56:41 2014 +0100

    Add some translator comments taken from GSM

 src/gsm_color_button.c | 1 +
 src/proctable.cpp      | 2 ++
 2 files changed, 3 insertions(+)

commit b7514aab3d702cffd61b17be5acd2478ad811d45
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 00:47:43 2014 +0100

    Slightly increase width of memory map dialog from 575 to 620
    
    Normally the memory map dialog needs to be quite wide. However, the
    minimum size of the main window is 626. Making a dialog wider than
    this by default would be odd. Thus, this is a large as the dialog will
    be by default even though it is not very useful at this width.
    
    Normally the memory map dialog needs to be quite wide
    
    Taken from GSM commit: 479794236f47aa69117576bdf4f9b80967744e7f
    From: Chris Kühl <chrisk@openismus.com>

 src/memmaps.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e39965fb74147b0c2f81420c1c9a512b881237d1
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 00:43:39 2014 +0100

    Fix accelerator collision in "Search for Open Files" dialog
    
    The accelerators for the Clear and Close buttons were colliding.
    The patch changes the Clear button to use 'l' as the accelerator.
    
    Taken from GSM commit: 5d9a1fa8b3ea1db94d1bbdb5c8e95d768a95aa9a
    From: Chris Kühl <chrisk@openismus.com>

 src/lsof.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit 18833cb8c4c52155e055ef54d52dacc34d75d551
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 00:38:30 2014 +0100

    Add a Process Properties dialog in MATE System Monitor
    
    Taken from GSM commit: 72546b7f3346fc0647a433529f3292050f15278f
    From: Krishnan Parthasarathi <krishnan.parthasarathi@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=543347

 po/POTFILES.in         |   1 +
 src/Makefile.am        |   1 +
 src/callbacks.cpp      |   8 ++
 src/callbacks.h        |   1 +
 src/interface.cpp      |  11 +-
 src/procproperties.cpp | 297 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/procproperties.h   |  30 +++++
 src/util.cpp           |   2 +-
 src/util.h             |   2 +
 9 files changed, 351 insertions(+), 2 deletions(-)

commit 51357cc58ed32763b7eaff97d9ba04507ac0665d
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 00:35:27 2014 +0100

    Disable priority changed handler while setting current priority
    
    Taken from GSM commit: c00d94f3bfe2186428ef30e922042a555b7dc03a
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=667227

 src/callbacks.cpp   |  4 +++-
 src/interface.cpp   | 19 +++++++++++++++++++
 src/interface.h     |  1 +
 src/procactions.cpp |  3 ++-
 4 files changed, 25 insertions(+), 2 deletions(-)

commit ee379181d3b6b89c23a660d027caa9c2d027aa7d
Author: infirit <infirit@gmail.com>
Date:   Fri Dec 19 00:28:04 2014 +0100

    Update systemd support from several GSD commits
    
    Msg: Backout change from using free() to g_free() in systemd patch
    Commit: f1f7bddf007c950608f5f8c5a771a7fb2ab187d5
    From: Chris Kühl <chrisk@openismus.com>
    
    Msg: Require systemd 38 or greater when using --enable-systemd
    Commit: ff551c6974cfa0801a368ee5c2406ce941ac8cab
    From: Chris Kühl <chrisk@openismus.com>
    
    Msg: build: Disallow building with systemd v43 due to C++ incompatibility
    Commit: 8a17cd6ff6b0ab4979c6ed8426724ce355d23679
    From: Chris Kühl <blixtra@gmail.com>
    
    Msg: Check for logind, not for systemd
    Commit: 4cf87daa48a8ab606afe5e3c2ac54c8f6276ba98
    From: Martin Pitt <martinpitt@gnome.org>

 configure.ac        | 16 +++++++++++-----
 src/procdialogs.cpp |  6 +-----
 src/proctable.cpp   |  5 ++---
 src/util.h          |  3 +++
 4 files changed, 17 insertions(+), 13 deletions(-)

commit 21eeae3b6a844222365b873a8826001af33f1e97
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 22:24:30 2014 +0100

    systemd: add process view columns for unit, session, seat, owner
    
    This (optionally) hooks up the system monitor with systemd, adding
    four new columns to the process view:
    
    1. Unit (i.e. the service name a system process belongs to)
    2. Session (i.e. the login session a user process belongs to)
    3. Seat (i.e. the physical seat the session of the process belongs to,
       only for multi-seat environments)
    4. Owner (i.e. the user a process belongs to, which is not influenced
       by temporary UID changes like sudo/su/suid.
    
    This patch also enables that the Unit column is shown by default.
    
    If systemd is not around at runtime or at compile time none of the
    four new columns are shown.
    
    Taken from GSM commit: df292c0fb07d73448fe26048118b127719750729
    From: Lennart Poettering <lennart@poettering.net>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=667829

 configure.ac                                  | 12 ++++
 src/Makefile.am                               |  5 +-
 src/org.mate.system-monitor.gschema.xml.in.in | 34 ++++++++++-
 src/procdialogs.cpp                           | 15 +++++
 src/procman.h                                 |  7 +++
 src/proctable.cpp                             | 88 +++++++++++++++++++++++----
 src/proctable.h                               |  4 ++
 7 files changed, 149 insertions(+), 16 deletions(-)

commit ba876f3e3791741d977dd72e16b760c39a71e047
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 22:17:12 2014 +0100

    procman: small whitespace cleanup

 src/procman.h | 52 ++++++++++++++++++++++++++--------------------------
 1 file changed, 26 insertions(+), 26 deletions(-)

commit 76668e10cc298fd1c3bc9b1c9fefba27580306c5
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 22:10:26 2014 +0100

    Clean up SOURCES in src/Makefile.am
    
    Taken from GSM commit: c55c5e43bec88f55c2394d62a0d46e37ca26a3d4
    From: Chris Kühl <chrisk@openismus.com>

 src/Makefile.am | 64 +++++++++++++++++++++++++++++++++------------------------
 1 file changed, 37 insertions(+), 27 deletions(-)

commit 32827611955580758d2e6ef7d88b43b7fd318723
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 22:03:21 2014 +0100

    Fix function definition format in util.cpp
    
    Taken from GSM commit: b21ba6cae5e66d89cd08159a442f525774b0fdc3
    From: Chris Kühl <chrisk@openismus.com>

 src/util.cpp | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit c133c2c81935f77ac35d341e2cb5378222b2ea55
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 22:02:14 2014 +0100

    Add custom sort method for numerical columns with descending sort first
    
    Taken from GSM commit: b439f813ceaf6ce6e82cd490c734c67aeb1f2028
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=557122

 src/proctable.cpp | 24 ++++++++++++++++++++++--
 src/util.cpp      | 43 +++++++++++++++++++++++++++++++++++++++++--
 src/util.h        |  2 ++
 3 files changed, 65 insertions(+), 4 deletions(-)

commit 89a5256bf2b7292e0fcbd6c7fb0d5a3901271645
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:59:20 2014 +0100

    Avoid crash if icon is not found by catching exception
    
    Taken from GSM commit: 0d394b2d9df72d9ad67deafebf9174b38b42a6d9
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=662463

 src/iconthemewrapper.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

commit 78ce9269ad83b09fcf1f538a9a1ff7bd6b77b588
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:57:46 2014 +0100

    Bump rsvg required version
    
    rsvg_init and rsvg_term where removed but this requires version 2.35

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a80e187f5f1d1dc899e7afcc5595ad86c3a0af62
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:55:16 2014 +0100

    Fix copy-n-paste issues in gscheme summaries
    
    Taken from GSM commit: a5fb391d2283cb148bbb98671d6a7c60392d256a
    From: Chris Kühl <chrisk@openismus.com>

 src/org.mate.system-monitor.gschema.xml.in.in | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 6fd04352b381037cae8983a53564e81a7f767c86
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:48:54 2014 +0100

    Add 32-bit or 64-bit to the release label
    
    Taken from GSM commit: e29b8e670edf99e4a31da2d3d05dcd55a7f5d253
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=619979

 src/sysinfo.cpp | 21 +++++++++++++++++++--
 1 file changed, 19 insertions(+), 2 deletions(-)

commit 120ef9172463db2778b4790baa8ba7ae650aa247
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:45:30 2014 +0100

    Add command line flags for each tab to display it on startup
    
    Taken from GSM commit: fdc3dac969e9961fd0ae525595534b25b7920e8b
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=629571

 src/argv.cpp    | 24 +++++++++++++++++++++++-
 src/argv.h      |  3 +++
 src/procman.cpp | 49 ++++++++++++++++++++++++++++++++++++++++++-------
 src/procman.h   |  3 +++
 4 files changed, 71 insertions(+), 8 deletions(-)

commit e11a700443d383ab35b84995962dfbe06c056063
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:43:13 2014 +0100

    interface: small whitespace cleanup

 src/interface.cpp | 122 +++++++++++++++++++++++++++---------------------------
 1 file changed, 61 insertions(+), 61 deletions(-)

commit ea1cbf9444a57992df9091ff585cc79eeaf60e5a
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:41:05 2014 +0100

    Added priority selection submenu with preset priority items
    
    Taken from GSM commit: 70ba9c1af2dbd8b74943b1a283f718d8646f087b
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=131803

 src/callbacks.cpp | 41 +++++++++++++++++++++++++++++++++++++----
 src/callbacks.h   |  2 +-
 src/interface.cpp | 47 +++++++++++++++++++++++++++++++++++++++++++----
 src/procman.h     |  9 +++++++++
 4 files changed, 90 insertions(+), 9 deletions(-)

commit 6034caada16eab3b07e090c0f2b29a1a3dd9d105
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:30:25 2014 +0100

    Priority column to the process table to show user-friendly nice values
    
    Taken from GSM commit: 6fcbf5aaa65d63dd751c812c3ac05a937b50450d
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=131802

 src/org.mate.system-monitor.gschema.xml.in.in |  8 +++++
 src/procdialogs.cpp                           | 24 ++++----------
 src/proctable.cpp                             | 15 +++++++--
 src/proctable.h                               |  1 +
 src/util.cpp                                  | 45 +++++++++++++++++++++++++++
 src/util.h                                    |  8 +++++
 6 files changed, 80 insertions(+), 21 deletions(-)

commit ad78931540508c4f3d52d938852c47086ce7b03f
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:24:14 2014 +0100

    proctable: small whitespace cleanup

 src/proctable.cpp | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit ddcc3d917199808066e06f299073f8707d8b7c1d
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:19:18 2014 +0100

    Summarize the processor cores to be able to display sysinfo for multi-core systems with more than 13 cores.
    
    Taken from GSM commit: f411100611febe8beebba57f6e0480abf446b2bc
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=664926

 src/sysinfo.cpp | 161 +++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 125 insertions(+), 36 deletions(-)

commit c3512fc727f2e7f78a2d210708f8ef790da66559
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:15:45 2014 +0100

    sysinfo: small whitespace fix

 src/sysinfo.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5c7c8d8b2f7efc5b22b5203c1b4d89b7f7c4eba0
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:10:39 2014 +0100

    lsof: Use glibmm/regex.h
    
    Seems to make no difference but according to GSM commit
    9b2489dafe3cb0a8792bed564f27f3f168a55b6a it broke the build.
    
    As it works fine on Gtk+2 let's switch as well.

 src/lsof.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa014c631614d23a0617b773c37da8b6a6d014de
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 21:07:06 2014 +0100

    Better translator comment for the Waiting Channel column
    
    Taken from GSM commit: f826e6f30d0d6bdcc07cc00774ea16297d853ccb
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=553315

 src/proctable.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76eff089e1ba541cece59f6d2f5847f349448f89
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 20:58:16 2014 +0100

    Add cgroup support in the process view
    
    Add a new 'Control Group' column to the process view tab.
    The format for the column is:
    
    <path name> (controller name), <path name> (controller name)...
    
    Processes that share the same path name across controllers
    are colesced. For example if a process is in the /foo cgroup
    for both the memory and cpu controllers, it would display as:
    /foo (memory,cpu), ...
    
    Taken from GSM commits:
    2d33adcbc4347c112d57082956b4e199ff7132db Add cgroup support in the process view
    645d38a218fedcbf9c7b674740bf213e02933820 Optimize cgroup updating
    
    From: Jason Baron <jbaron@redhat.com>

 src/Makefile.am                               |   1 +
 src/cgroups.cpp                               | 186 ++++++++++++++++++++++++++
 src/cgroups.h                                 |  14 ++
 src/org.mate.system-monitor.gschema.xml.in.in |   8 ++
 src/procdialogs.cpp                           |   6 +
 src/procman.h                                 |   1 +
 src/proctable.cpp                             |  21 ++-
 src/proctable.h                               |   1 +
 8 files changed, 236 insertions(+), 2 deletions(-)

commit 396b01dc3e3a704c0015874002b76a5ccda0678a
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 20:32:53 2014 +0100

    Save sort column and order when they change
    
    Taken from GSM commit: 5b836afa87a27691f008a26bba9e3829d2b31be6
    From: Stefano Facchini <stefano.facchini@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=649398

 src/procman.cpp   |  3 ---
 src/proctable.cpp | 13 +++++++++++++
 2 files changed, 13 insertions(+), 3 deletions(-)

commit db877ef14b15c2c2f8572954589fc81fcf6d8626
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 20:32:15 2014 +0100

    Use a tuple to store window state
    
    Taken from GSM commit: d347dd13681b7f57b28bc609d94cbcc597049951
    From: Stefano Facchini <stefano.facchini@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=649398

 src/org.mate.system-monitor.gschema.xml.in.in | 18 +++---------------
 src/procman.cpp                               | 17 ++++++-----------
 2 files changed, 9 insertions(+), 26 deletions(-)

commit 01735cf7050926fb1c1de8adecb391c657ad2204
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 19:44:39 2014 +0100

    Save column info on change instead of quit
    
    Taken from GSM commit: bc2a8c221604fe335b690ba7d180022bf0430fff
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: http://bugzilla.gnome.org/show_bug.cgi?id=649398

 src/procdialogs.cpp |  9 +++++++++
 src/procman.cpp     | 29 +++--------------------------
 src/proctable.cpp   | 24 ++++++++++++++++++++++++
 3 files changed, 36 insertions(+), 26 deletions(-)

commit 89c2ba95156b8ccd9d7493121f4a691ffbe927c1
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 19:07:46 2014 +0100

    Also remember the window position, not only the size
    
    Taken from GSM commit: c123b59145d3b5aa9ba6f65985037b63bcdf2a67
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: http://bugzilla.gnome.org/show_bug.cgi?id=343861

 src/interface.cpp                             | 5 ++++-
 src/org.mate.system-monitor.gschema.xml.in.in | 8 ++++++++
 src/procman.cpp                               | 7 +++++++
 src/procman.h                                 | 2 ++
 4 files changed, 21 insertions(+), 1 deletion(-)

commit 61a40499507138fd1620475487c1b6772be3e37a
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 16:29:12 2014 +0100

    Various small string fixes.
    
    Mostly capitalisation fixes, but there are some spelling fixes, and
    three strings which have had markup removed. One string has been
    changed from using an ASCII ellipsis to a Unicode one.
    
    Taken from GSM commit: f727cae54fc8410ecb3c2c4c4f901b754f418a7a
    From: Philip Withnall <philip@tecnocode.co.uk>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=616794

 src/gsm_color_button.c                        |  2 +-
 src/interface.cpp                             |  2 +-
 src/load-graph.cpp                            |  4 +--
 src/org.mate.system-monitor.gschema.xml.in.in | 38 +++++++++++++--------------
 src/procactions.cpp                           |  4 +--
 src/procdialogs.cpp                           |  6 ++---
 6 files changed, 28 insertions(+), 28 deletions(-)

commit 3d122e030b4b139ec563de4e0d16a2bceb0a9bf9
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 16:06:51 2014 +0100

    Do not set gnome_version if one of the version numbers can not be read
    
    Taken from GSM commit: 9b3e48f0ef1131dfc827fb17d6cccb26ebde75c0
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=576863

 src/sysinfo.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b4e600308a77d19b56b66e0f3130f9ccf97ac825
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 16:02:56 2014 +0100

    Use XDG user runtime directory instead of tmp for temporary files
    
    Taken from GSM commit: f8fd26f1a3bf9b58a72e7cacdd1eb960736d49d5
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=646393

 src/bacon-message-connection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2cdbc0cf048be0e5ed0f8a03ae99b67034bab695
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 15:59:01 2014 +0100

    Changed default net out color for better a11y for color-blind people
    
    Taken from GSM commit: 2ba6de8e15dbe814d80e960f8b2ea4b772d1ccf2
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=663569

 src/org.mate.system-monitor.gschema.xml.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 12488b263a08694763e0747c64525cba295c9489
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 14:48:19 2014 +0100

    Use pango instead of cairo_show_text in load-graph
    
    Taken from GSM commit: 62c46d71e8c4ab5a2e68f7b1ad9d780c1728b6e2
    From: Haggai Eran <haggai.eran@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=536006

 src/load-graph.cpp | 34 ++++++++++++++++++++++------------
 1 file changed, 22 insertions(+), 12 deletions(-)

commit 5a31c0780d1d52e31d07a407f1ea826dbe2a6766
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 14:25:25 2014 +0100

    Significant digits format used to remove post decimal wastage on net graph
    
    Taken from GSM commit: 74cfcc81355908075dad0e9f95f195c0d4e2544b
    From: Conor O'Gorman <conor@dna.ie>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=656841

 src/util.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 32ebc9dbe372feb278080958901f998ef81d5125
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 14:19:49 2014 +0100

    Fixed logic for scaling net load when using bits
    
    Taken from GSM commit: c3c986f6c888a274278a1e5a112befedc23abc6d
    From: Conor O'Gorman <conor@dna.ie>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=656840

 src/load-graph.cpp | 46 +++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 39 insertions(+), 7 deletions(-)

commit 9b315b69304482298749dd5a3bf527df9154f75a
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 14:01:51 2014 +0100

    Don't show swap history when computer has no swap
    
    Taken from GSM commit: 466b7e64cdac761eabd9ab69be8f72955e07f813
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=414492

 src/load-graph.cpp | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 9b124d7cac10ee7651879b4145c6c5b19677a975
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 13:08:14 2014 +0100

    system: Add machine architecture after the kernel version.
    
    The kernel architecture is what is important here as this determines
    if one can run 32bit or 64bit code.
    
    fixes #43

 src/sysinfo.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 26f7ae206dc885755689893c77120a7f8bbbfb5b
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 12:55:45 2014 +0100

    Specified resource name in color picker dialog title
    
    Taken from GSM commit: c987155c565432491cb37dddfb1631597e05a3ec
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: http://bugzilla.gnome.org/show_bug.cgi?id=520702

 src/interface.cpp | 49 ++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 40 insertions(+), 9 deletions(-)

commit d3c5d8d393afbeb250c9edfd2763239cb1a4b06f
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 12:46:07 2014 +0100

    Make labels on sysinfo tab selectable
    
    Taken from GSM commit: 75ffd9c656aa7cc4bedcdfb89f5edabc9894a939
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: http://bugzilla.gnome.org/show_bug.cgi?id=399067

 src/sysinfo.cpp | 5 +++++
 1 file changed, 5 insertions(+)

commit ecb5966e7f2d9983fadadff64860d4682a1eb92a
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 12:41:06 2014 +0100

    Properly clear the selected process before looking for another
    
    Taken from GSM commit: 11e508347c5af1389b2da1c787adcb26cb0ebbef
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: http://bugzilla.gnome.org/show_bug.cgi?id=580009

 src/callbacks.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit 6a0ed19ae7f1cf12b3e44c3d245c34a4fc9edf5d
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 12:08:11 2014 +0100

    Only display change color dialog on clicked instead of button-release
    
    Taken from GSM commit: e2440e154dfdcf57364249c19c599bcfa5c177f2
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=517712

 src/gsm_color_button.c | 40 ++++++++++++++++++++++++++++++++++------
 1 file changed, 34 insertions(+), 6 deletions(-)

commit 3663ca884eb8c578ba372640cb5399a5419d48ca
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 01:10:23 2014 +0100

    Set widget name for main application window
    
    Taken from GSM commit: f7fdd5f17370548b533e1f8508fa774b88b4d4d0
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=633259

 src/procman.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b2d73fe3919f5c1c10d01cfa4108ea677f2ccdc0
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 01:07:24 2014 +0100

    Remove unnecessary assert which causes crash
    
    Taken from GSM commit: dbc19ed7fa89ddd426028a45265ea49857272637
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=578520

 src/load-graph.cpp | 2 --
 1 file changed, 2 deletions(-)

commit 72efbb28ccebaef956d7c49acf4a08fdfdeccbcb
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 01:04:47 2014 +0100

    Include process name in end & kill process dialogs
    
    Taken from GSM commit: 140b2526232c118dc5b5b976aee5a71acc24dfa2
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=560162

 src/procdialogs.cpp | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit 3d4bef6f6a0e2649b9236352f6ce73e57c0feff7
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 00:52:49 2014 +0100

    Add Help button to the preferences dialog
    
    Taken from GSM commit: 6bd176c2efeec0375b5d9e5e1d3f3d1c2f1138bd
    From: Robert Roth <robert.roth.off@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=501070

 src/procdialogs.cpp | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

commit de90d534cbba7c1a76b2435342ff73dc3da2ba25
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 00:50:57 2014 +0100

    Removed unnecessary use of 'this->' for class members
    
    Taken from GSM commit: 3708a48b131cb412b5021334ff57140972a1fcd0
    From: Chris Kühl <chrisk@openismus.com>

 src/load-graph.cpp | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit f86effd09ca017840a7bd3dff946bceed980c2b0
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 00:49:04 2014 +0100

    Removed unnecessary use of 'graph->' for class members
    
    Taken from GSM commit: 8cc4f7259e3829264197a8daebe34527d3d3d697
    From: Chris Kühl <chrisk@openismus.com>

 src/load-graph.cpp | 86 +++++++++++++++++++++++++++---------------------------
 1 file changed, 43 insertions(+), 43 deletions(-)

commit c9b8c0b000d8533f1e21b1afbc153c279d90b819
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 00:48:24 2014 +0100

    Stop initializing variables twice in LoadGraph ctor
    
    Taken from GSM commit: e5410092bd1a6edee184aa56fba807498733f06a
    From: Chris Kühl <chrisk@openismus.com>

 src/load-graph.cpp | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

commit c8829c37457b28b99b2be815444d5aebfe7a7ad9
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 00:34:05 2014 +0100

    Give 'g' variable meaningful name, 'graph'
    
    Taken from GSM commit: ffdc8936d6b78ddd630d9448341ef515eee8c7f7
    From: Chris Kühl <chrisk@openismus.com>

 src/load-graph.cpp | 394 ++++++++++++++++++++++++++---------------------------
 1 file changed, 197 insertions(+), 197 deletions(-)

commit 12975909c589880030db6125ad6dcbea889edcdc
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 18 00:23:57 2014 +0100

    Make indentation uniform across source files
    
    No more tabs, 4 spaces instead. And remove trailing whitespace.

 src/argv.cpp                   |   20 +-
 src/argv.h                     |   14 +-
 src/bacon-message-connection.c |  530 ++++++++--------
 src/bacon-message-connection.h |   18 +-
 src/callbacks.cpp              |    2 +-
 src/callbacks.h                |   74 +--
 src/defaulttable.h             |   56 +-
 src/disks.cpp                  |  646 ++++++++++----------
 src/e_date.c                   |  290 ++++-----
 src/gsm_color_button.c         | 1138 +++++++++++++++++------------------
 src/gsm_color_button.h         |   32 +-
 src/iconthemewrapper.cpp       |   12 +-
 src/iconthemewrapper.h         |   18 +-
 src/interface.cpp              | 1276 +++++++++++++++++++--------------------
 src/interface.h                |    6 +-
 src/load-graph.cpp             | 1136 +++++++++++++++++------------------
 src/load-graph.h               |  128 ++--
 src/lsof.cpp                   |  620 +++++++++----------
 src/memmaps.cpp                |  752 +++++++++++------------
 src/memmaps.h                  |    2 +-
 src/openfiles.cpp              |  488 +++++++--------
 src/openfiles.h                |    2 +-
 src/prettytable.cpp            |  212 +++----
 src/prettytable.h              |   38 +-
 src/procactions.cpp            |  200 +++----
 src/procactions.h              |    6 +-
 src/procdialogs.cpp            | 1298 ++++++++++++++++++++--------------------
 src/procdialogs.h              |   18 +-
 src/procman.cpp                |  912 ++++++++++++++--------------
 src/procman.h                  |  270 ++++-----
 src/procman_gksu.cpp           |   40 +-
 src/procman_matesu.cpp         |   20 +-
 src/proctable.cpp              | 1268 +++++++++++++++++++--------------------
 src/proctable.h                |   60 +-
 src/selection.cpp              |   60 +-
 src/selection.h                |   16 +-
 src/selinux.cpp                |   50 +-
 src/settings-keys.cpp          |   14 +-
 src/settings-keys.h            |   14 +-
 src/smooth_refresh.cpp         |  140 ++---
 src/smooth_refresh.h           |  116 ++--
 src/sysinfo.cpp                | 1110 +++++++++++++++++-----------------
 src/sysinfo.h                  |    2 +-
 src/util.cpp                   |  640 ++++++++++----------
 src/util.h                     |  142 ++---
 45 files changed, 6952 insertions(+), 6954 deletions(-)

commit 0dea7ab1931fb33f35eceab66dffcd56f4550f68
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 17:49:48 2014 +0100

    Show CPU speed for ppc64 processors.
    
    Taken from GSM commit: 401d84dc4ed6cc0cea3d23b19debfc6e9e204f90
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=619732

 src/sysinfo.cpp | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 7e751f28f66efe19b4abe427e0e08842ac352573
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 17:46:27 2014 +0100

    Add OpenBSD support
    
    Add OpenBSDSysInfo() for getting OpenBSD system information
    
    Taken from GSM commit: 8cc3d4d04963bc5f4e70fa6d81a8ad009eac9021
    From: Antoine Jacoutot <ajacoutot@openbsd.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=652584

 src/sysinfo.cpp | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 2a0ef42d45004d7b0775ac843352cf10d11ce091
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 16:33:35 2014 +0100

    Make change priority button respect button-images setting
    
    Taken from GSM commit: bfef9799749fa0b36bb91c52479f7e7119b5d738
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=592747

 src/procdialogs.cpp | 18 +++---------------
 1 file changed, 3 insertions(+), 15 deletions(-)

commit b7a79ac25a7d27fe98694dc18e04a7225ad81132
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 16:24:31 2014 +0100

    If NI_IDN is not defined, set it to 0.
    
    Taken from GSM commit: 74ced4acf1f514e5a75b7e68f0e012d8bc869be1
    From: Antoine Jacoutot <ajacoutot@openbsd.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=652602

 src/openfiles.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 85546aef12e338ceac55cf5b973092f275a42e4d
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 16:21:23 2014 +0100

    Added ability to navigate tabs using Alt-N
    
    Taken from GSM commit: a2bccca48724fc5873c72978d11f106af2a6aaf4
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=496750

 src/interface.cpp | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 502a570bfeb3c1aa912cd167a17d0c1457d4113b
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 16:06:37 2014 +0100

    Fix to remember custom column ordering.
    
    Taken from GSM commit: dd0e346046b9e069b6e758b2b951b03ddfdf50b3
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=365101

 src/proctable.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a7f95cd9e4858ae0c6d1de90e4e3151a4a4d2b4
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 16:04:53 2014 +0100

    Correct bad status tip wording when hovering over View->My Processes
    
    Taken from GSM commit: db2451155c6b2199b759104c9caa4812209cdab9
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=530336

 src/interface.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c9be17a1d0d6c2877407a15525de8f7b40c74d8c
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 16:01:53 2014 +0100

    Fix for issues on 32-bit machines
    
    Taken from GSM commit: 843cc40119d36873f9670975c7815fbd38481093
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: Fix for issues on 32-bit machines

 src/load-graph.cpp | 24 +++++++++++++++---------
 src/util.cpp       | 16 ++++++++--------
 2 files changed, 23 insertions(+), 17 deletions(-)

commit ab23523d7ae2b62d7c633773739e7694a0ce82a2
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 16:00:29 2014 +0100

    Fix network totals overflow on 32-bit machines
    
    Taken from GSM commit: c7275791a89623ad1edc820a6ef16faae37a18aa
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=639212

 src/load-graph.cpp | 38 +++++++++++++++++++-------------------
 src/load-graph.h   |  2 +-
 2 files changed, 20 insertions(+), 20 deletions(-)

commit ad556dbe146fd1a5e60bdbb3467748b5132b3a73
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 15:56:25 2014 +0100

    Added SI prefix tera to network counter
    
    Taken from GSM commit: 3ea7303181e80e188e72a4fcd98b9970fe554b3b
    From: Chris Kühl <chrisk@openismus.com>

 src/util.cpp | 27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

commit bbdc4907246e7f51745cf857d3241f79b7d7840d
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 15:54:49 2014 +0100

    Get rid of unused variable 'sizegroup'

 src/interface.cpp | 3 ---
 1 file changed, 3 deletions(-)

commit d251f63de4327591d8a2ae20ffca1fb4f4a7d2f9
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 15:51:18 2014 +0100

    Make 'Solaris mode' option be more descriptive
    
    Taken from GSM commit: 3307a7673e7b42843089d82778a9b76b495b3b9d
    From: Chris Kühl <chrisk@openismus.com>
    Gnome Bug: https://bugzilla.gnome.org/show_bug.cgi?id=467168

 src/procdialogs.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6b1081dea1042b31e2708ac5d5162ca0af91fb46
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 15:43:06 2014 +0100

    Make maximum nice value 19 instead of 20 on Linux

 src/procdialogs.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 894006a93e2cf38810801dfb2dfa4aafcf3c3d76
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 15:37:41 2014 +0100

    Pass the parent window to the about dialog
    
    Taken from GSM commit: 9f9f0c929659d63100a3efba7826c7f777ed21ed
    From: Cosimo Cecchi <cosimoc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=645575

 src/callbacks.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 15801ec450036918e6db1f66f36931eb48c212ed
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 15:21:12 2014 +0100

    Add translator comment to clarify 'open files' is no action
    
    Taken from GSM commit: 2436bc9ea02516ad5fa69f476fd3b48b32108404
    From: Chris Kühl <chrisk@openismus.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=423088

 src/interface.cpp | 1 +
 1 file changed, 1 insertion(+)

commit b56028d2ed7b93f408b97d356d0ddb75e707b2d5
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 15:19:29 2014 +0100

    Fix to show cpu model on ARM
    
    Taken from GSM commit: a84ed33fb4c313d7cf67fac791aa063a997cb3af
    From: Debbie Beliveau <debbie.beliveau@canonical.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=606769

 src/sysinfo.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b249cf780ab12125d8ac680879d24c4ce2e3a3fe
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 15:17:51 2014 +0100

    Fix falsly reporting 'Unknown CPU model'
    
    Taken from GSM commit: 3ef0ed45f91f09a05905e20863e854ee84573b73
    From: Luciano Chavez <lnx1138@linux.vnet.ibm.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=619733

 src/sysinfo.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 586315f06e56d10a8ab7e3fc2a7eada7f67e4d2a
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 15:09:24 2014 +0100

    Add close button to memory map dialog
    
    Taken from GSM commit: 00eb83fdbc5a6b6d5369b59b00a13293b1981b4f
    From: Chris Kühl <chrisk@openismus.com>

 src/memmaps.cpp | 35 +++++++++++++----------------------
 1 file changed, 13 insertions(+), 22 deletions(-)

commit 5e80dd2e8e97098b4e0ef97ab1997b114cba0b71
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 14:18:04 2014 +0100

    Update autotools

 Makefile.am  |  4 ++--
 autogen.sh   |  2 --
 configure.ac | 55 +++++++++++++++++++++++++++++--------------------------
 3 files changed, 31 insertions(+), 30 deletions(-)

commit e616d517c766bd7626f5400359215b4e4490880e
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 13:57:24 2014 +0100

    Removed unnecessary dependency on dbus-glib-1

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit f763108b93dae8d39b509067ca5ee4534e731b5d
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 13:39:34 2014 +0100

    Fixed graph jump bug caused by label changing height

 src/interface.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1e66f7902748b7aa2d19090c7d6d9adee88f5f30
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 13:34:08 2014 +0100

    Gtk3: Fix deprecated hscale use

 src/procdialogs.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 5d57852465113ea406baef808d3256f7d79e58c5
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 13:26:57 2014 +0100

    Remove has-seperator property

 src/openfiles.cpp   | 3 ---
 src/procdialogs.cpp | 6 ------
 2 files changed, 9 deletions(-)

commit b04c3acf3836d122bb0ee86332d3d2cf4732c94e
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 13:25:13 2014 +0100

    interface: Move/Add comment for each Gtk version

 src/interface.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0077af40e5926d19e48413ab22eb21d634de5a64
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 13:09:12 2014 +0100

    Gtk3: Rename callback function to reflect changed signal.

 src/gsm_color_button.c |  4 ++--
 src/load-graph.cpp     | 10 +++++-----
 src/load-graph.h       |  2 +-
 src/sysinfo.cpp        |  4 ++--
 4 files changed, 10 insertions(+), 10 deletions(-)

commit 5dbc8cd3144d70a2b818704d4274ce7289514622
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 17 12:58:50 2014 +0100

    Use gdk_window_get_{width,height} also in Gtk+2
    
    It was added in Gtk+ 2.24

 src/gsm_color_button.c | 10 ++--------
 src/procman.cpp        | 13 ++-----------
 2 files changed, 4 insertions(+), 19 deletions(-)

commit 5cd04b66774752f6763fcfe41785645d1fa5260d
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 13:13:12 2014 +0100

    Remove deprecated call to g_type_init

 configure.ac    | 2 +-
 src/procman.cpp | 2 --
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 59593e0c5533698a56fabd4f230c3b3579628a85
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 13:12:10 2014 +0100

    Revert "g_type_init is deprecated in Glib 2.36"
    
    This reverts commit bc87b7b4a1b199606a29877067ae657f850f1618.

 src/procman.cpp | 2 --
 1 file changed, 2 deletions(-)

commit bc87b7b4a1b199606a29877067ae657f850f1618
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 11:59:03 2014 +0100

    g_type_init is deprecated in Glib 2.36

 src/procman.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit 9ae0be5ccf7df2f35c13653da97771b06cf6603f
Author: Matias De lellis <mati86dl@gmail.com>
Date:   Sun Dec 14 13:44:34 2014 -0300

    Fix a few of mem leaks. [Backported from old gnome-system-monitor]

 src/procman.cpp |  4 +++-
 src/util.cpp    | 10 ++++++++--
 2 files changed, 11 insertions(+), 3 deletions(-)

commit cdd64eb85839577b63a5dc8840cdb339d5b78abd
Author: Matias De lellis <mati86dl@gmail.com>
Date:   Sun Dec 14 13:24:01 2014 -0300

    Fixes removed set but unused variables warining.

 src/sysinfo.cpp | 14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

commit 8aa938cba8881bff0c56091f0e0cbc436dc3e59b
Author: Matias De lellis <mati86dl@gmail.com>
Date:   Sun Dec 14 12:53:38 2014 -0300

    Add support to systemd/freedesktop /etc/os-release to give system info.

 src/sysinfo.cpp | 38 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 37 insertions(+), 1 deletion(-)

commit a86a09d13527ab0af1660f8d31636956a24f1922
Author: Monsta <monsta@inbox.ru>
Date:   Wed Dec 10 22:06:37 2014 +0300

    removed obsolete configure option

 Makefile.am | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit e803bf850be58d745466b69b9c2c93776696c408
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Nov 22 12:37:04 2014 +0100

    Bump version to 1.9.1

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 10db8c3fbf66599d06e9d2583581a8bd542832eb
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Nov 22 12:36:45 2014 +0100

    Sync translations with transifex

 po/am.po          | 658 ++++++++++++++++++++++--------------------
 po/ar.po          | 662 +++++++++++++++++++++---------------------
 po/as.po          | 658 ++++++++++++++++++++++--------------------
 po/ast.po         | 658 ++++++++++++++++++++++--------------------
 po/az.po          | 663 ++++++++++++++++++++++--------------------
 po/be.po          | 655 +++++++++++++++++++++--------------------
 po/bg.po          | 658 ++++++++++++++++++++++--------------------
 po/bn.po          | 658 ++++++++++++++++++++++--------------------
 po/bn_IN.po       | 658 ++++++++++++++++++++++--------------------
 po/bs.po          | 658 ++++++++++++++++++++++--------------------
 po/ca.po          | 660 ++++++++++++++++++++++--------------------
 po/ca@valencia.po | 658 ++++++++++++++++++++++--------------------
 po/cmn.po         | 658 ++++++++++++++++++++++--------------------
 po/cs.po          | 658 ++++++++++++++++++++++--------------------
 po/cy.po          | 658 ++++++++++++++++++++++--------------------
 po/da.po          | 658 ++++++++++++++++++++++--------------------
 po/de.po          | 659 ++++++++++++++++++++++--------------------
 po/dz.po          | 658 ++++++++++++++++++++++--------------------
 po/el.po          | 658 ++++++++++++++++++++++--------------------
 po/en_AU.po       | 656 ++++++++++++++++++++++--------------------
 po/en_CA.po       | 658 ++++++++++++++++++++++--------------------
 po/en_GB.po       | 656 ++++++++++++++++++++++--------------------
 po/eo.po          | 658 ++++++++++++++++++++++--------------------
 po/es.po          | 660 ++++++++++++++++++++++--------------------
 po/es_MX.po       | 658 ++++++++++++++++++++++--------------------
 po/et.po          | 656 ++++++++++++++++++++++--------------------
 po/eu.po          | 658 ++++++++++++++++++++++--------------------
 po/fi.po          | 658 ++++++++++++++++++++++--------------------
 po/fr.po          | 659 ++++++++++++++++++++++--------------------
 po/ga.po          | 660 ++++++++++++++++++++++--------------------
 po/gl.po          | 660 ++++++++++++++++++++++--------------------
 po/gu.po          | 658 ++++++++++++++++++++++--------------------
 po/he.po          | 658 ++++++++++++++++++++++--------------------
 po/hi.po          | 658 ++++++++++++++++++++++--------------------
 po/hr.po          | 723 ++++++++++++++++++++++++----------------------
 po/hu.po          | 658 ++++++++++++++++++++++--------------------
 po/id.po          | 661 ++++++++++++++++++++++--------------------
 po/it.po          | 661 ++++++++++++++++++++++--------------------
 po/ja.po          | 656 ++++++++++++++++++++++--------------------
 po/ka.po          | 658 ++++++++++++++++++++++--------------------
 po/kk.po          | 823 ++++++++++++++++++++++++++--------------------------
 po/kn.po          | 658 ++++++++++++++++++++++--------------------
 po/ko.po          | 664 +++++++++++++++++++++---------------------
 po/ku.po          | 658 ++++++++++++++++++++++--------------------
 po/ky.po          | 658 ++++++++++++++++++++++--------------------
 po/li.po          | 658 ++++++++++++++++++++++--------------------
 po/lt.po          | 659 ++++++++++++++++++++++--------------------
 po/lv.po          | 658 ++++++++++++++++++++++--------------------
 po/mai.po         | 658 ++++++++++++++++++++++--------------------
 po/mg.po          | 658 ++++++++++++++++++++++--------------------
 po/mk.po          | 658 ++++++++++++++++++++++--------------------
 po/ml.po          | 658 ++++++++++++++++++++++--------------------
 po/mn.po          | 658 ++++++++++++++++++++++--------------------
 po/mr.po          | 658 ++++++++++++++++++++++--------------------
 po/ms.po          | 658 ++++++++++++++++++++++--------------------
 po/nah.po         | 658 ++++++++++++++++++++++--------------------
 po/nb.po          | 658 ++++++++++++++++++++++--------------------
 po/nds.po         | 658 ++++++++++++++++++++++--------------------
 po/nl.po          | 659 ++++++++++++++++++++++--------------------
 po/nn.po          | 658 ++++++++++++++++++++++--------------------
 po/oc.po          | 658 ++++++++++++++++++++++--------------------
 po/or.po          | 658 ++++++++++++++++++++++--------------------
 po/pa.po          | 658 ++++++++++++++++++++++--------------------
 po/pl.po          | 661 ++++++++++++++++++++++--------------------
 po/ps.po          | 658 ++++++++++++++++++++++--------------------
 po/pt.po          | 660 ++++++++++++++++++++++--------------------
 po/pt_BR.po       | 658 ++++++++++++++++++++++--------------------
 po/ro.po          | 658 ++++++++++++++++++++++--------------------
 po/ru.po          | 669 +++++++++++++++++++++---------------------
 po/si.po          | 658 ++++++++++++++++++++++--------------------
 po/sk.po          | 656 ++++++++++++++++++++++--------------------
 po/sl.po          | 658 ++++++++++++++++++++++--------------------
 po/sq.po          | 658 ++++++++++++++++++++++--------------------
 po/sr.po          | 847 ++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po    | 658 ++++++++++++++++++++++--------------------
 po/sv.po          | 658 ++++++++++++++++++++++--------------------
 po/ta.po          | 658 ++++++++++++++++++++++--------------------
 po/te.po          | 658 ++++++++++++++++++++++--------------------
 po/th.po          | 658 ++++++++++++++++++++++--------------------
 po/tr.po          | 659 ++++++++++++++++++++++--------------------
 po/ug.po          | 658 ++++++++++++++++++++++--------------------
 po/uk.po          | 654 +++++++++++++++++++++--------------------
 po/ur.po          | 656 ++++++++++++++++++++++--------------------
 po/vi.po          | 669 +++++++++++++++++++++---------------------
 po/zh_CN.po       | 659 ++++++++++++++++++++++--------------------
 po/zh_HK.po       | 658 ++++++++++++++++++++++--------------------
 po/zh_TW.po       | 661 ++++++++++++++++++++++--------------------
 87 files changed, 29822 insertions(+), 27889 deletions(-)

commit ac415be85e89c08e99174bbe2a33e6fe52ac0f62
Author: infirit <infirit@gmail.com>
Date:   Mon Nov 10 13:17:33 2014 +0100

    appdata: Add necessary markers for translation

 mate-system-monitor.appdata.xml.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8bb8d37662d9628ea16dda1266319f5e0623d10a
Author: infirit <infirit@gmail.com>
Date:   Mon Nov 10 11:51:22 2014 +0100

    appdata: Fixup spelling of MATE

 mate-system-monitor.appdata.xml.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 903865df3d570360daef4418b3b890d476ef5bb7
Author: infirit <infirit@gmail.com>
Date:   Mon Nov 10 11:49:05 2014 +0100

    appdata: Add autotool bits for appdata

 Makefile.am                                                       | 8 ++++++++
 ...stem-monitor.appdata.xml => mate-system-monitor.appdata.xml.in | 0
 po/POTFILES.in                                                    | 1 +
 3 files changed, 9 insertions(+)

commit 4764573bf980bef47f4269bd4fc25d6cf208076e
Author: alxpl <alxpl@users.noreply.github.com>
Date:   Sun Nov 9 14:41:06 2014 +0200

    Create mate-system-monitor.appdata.xml
    
    An appdata file for inclusion in the upcoming software centers as per the new freedesktop.org specs.
    
    It should be placed in /usr/share/appdata/ similar to the way .desktop files are placed in /usr/share/applications/, e.g. if you have a "$(datadir)/applications" definition in your makefiles, you need to add a "$(datadir)/appdata" as well.
    
    Please, skim through the file in case I made a mistake and please, include it in the 1.8 branch as well.
    
    Thanks!

 mate-system-monitor.appdata.xml | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

commit 238f237ea2b9fc52284e9b86ed923cfaf033e64e
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Thu Oct 23 11:06:26 2014 +0200

    Sync translations with transifex

 po/de.po    | 55 ++++++++++++++++++++++++++++---------------------------
 po/en_AU.po |  8 ++++----
 po/et.po    | 11 ++++++-----
 po/hr.po    | 59 ++++++++++++++++++++++++++++++-----------------------------
 po/ja.po    |  8 ++++----
 po/uk.po    | 10 +++++-----
 6 files changed, 77 insertions(+), 74 deletions(-)

commit 7d84b20d356ca5195c4ba8a6532510e4a7986b36
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 16 10:25:06 2014 +0200

    Dont sync GSettings before quit
    
    It is unneeded
    Closes https://github.com/mate-desktop/mate-system-monitor/issues/37

 src/procman.cpp | 6 ------
 1 file changed, 6 deletions(-)

commit 20728617d2b9450c0dfdb84e76025d89c00c93ff
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Jul 12 10:30:57 2014 +0200

    Sync translations with transifex

 po/ast.po | 157 +++++++++++++++++++++++++++++++-------------------------------
 po/be.po  |  16 ++++---
 po/pt.po  |  23 ++++-----
 po/sk.po  |   4 +-
 4 files changed, 102 insertions(+), 98 deletions(-)

commit 3bfa379c918663b5fc58ed7111a865c088c7fb68
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 22 16:16:46 2014 +0200

    Bump version to 1.9.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 17c333f8a6cfe0d2fe735ba58832f1af3e83a63d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Mar 15 15:34:35 2014 +0100

    Fix man page NAME section
    
    Closes https://github.com/mate-desktop/mate-system-monitor/issues/34

 mate-system-monitor.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dda672f5ddf147575d8ef6a33b043b0066b05cf8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 12:43:54 2014 +0100

    Bump version to 1.8.0

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c0e5871c4bbc28bf1f9a4939b546eed179e14180
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 12:43:40 2014 +0100

    Sync translations with transifex

 po/be.po | 268 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 135 insertions(+), 133 deletions(-)

commit 504d9eea345391ab9099a441d665f6f36caed235
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 23 19:10:38 2014 +0100

    Sync translations with transifex

 po/en_GB.po |  6 +++---
 po/sk.po    | 12 ++++++------
 po/sl.po    |  4 ++--
 po/zh_TW.po | 13 +++++++------
 4 files changed, 18 insertions(+), 17 deletions(-)

commit 307c63d242c2b20229f5088ee6580127d07eb8ff
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 19 10:07:04 2014 +0100

    Bump version to 1.7.90

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3c5265005a0cb10f078dad2663456b7045e87339
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 19 10:06:31 2014 +0100

    Add NEWS for MATE

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 2e8086de2e0fea14e710c3f8a41c40bdb38e045d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 19 10:04:51 2014 +0100

    Rename NEWS -> NEWS.GNOME

 NEWS => NEWS.GNOME | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit b529886eaa1d80dbbc8a256a6782f12ca725232e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 19 10:00:12 2014 +0100

    configure: Add check-news

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b58308f0ffb2bc00e15dd61673b8a4eb5b7adfa
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Feb 18 13:35:07 2014 +0100

    Add keywords key to .desktop file
    
    Closes https://github.com/mate-desktop/mate-system-monitor/issues/33

 mate-system-monitor.desktop.in.in | 1 +
 1 file changed, 1 insertion(+)

commit d43264fc51c3506487c3fedef1bf6f6287428e35
Merge: a82c82a 320ad82
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 10:50:18 2014 +0100

    Merge pull request #32 from hekel/master
    
    Update Manual and make it more uniform with others

commit 320ad827106232e07e9d49eba45e10b5c2832f16
Author: hekel <hekel@archlinux.info>
Date:   Fri Feb 14 03:55:01 2014 -0500

    Update Manual and make it more uniform with others

 mate-system-monitor.1 | 67 ++++++++++++++++++++++++++++++---------------------
 1 file changed, 39 insertions(+), 28 deletions(-)

commit a82c82acb9ce4aa3058212c52db44a717b45bcd2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 11 11:01:15 2014 +0100

    Include autogen.sh in tarball

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 56ac6e87628044f0465cdb78cb49f59f5e626bc6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 10 00:05:10 2014 +0100

    Bump version to 1.7.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a476e95514a001d8146519cab5e8ab354d78d04
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 10 00:03:42 2014 +0100

    Sync translations with transifex

 po/LINGUAS  |    5 +
 po/cmn.po   | 1089 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_MX.po | 1091 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/kk.po    | 1087 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/nah.po   | 1091 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ur.po    | 1090 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 5453 insertions(+)

commit 15c304d28c6f3fe6127e4e060ef109e842a79a57
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 20 12:33:00 2014 +0100

    Remove useless g_print
    
    It was added with commit http://git.mate-desktop.org/mate-system-monitor/commit/src/procman.cpp?id=f27253b155db8d3c06bf13801c63bdc282da4157

 src/procman.cpp | 1 -
 1 file changed, 1 deletion(-)

commit 58747780ffbc1df372a1c113e8a6e412e1f8f0a9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 15 10:58:57 2014 +0100

    Update copyright info

 src/callbacks.cpp | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 9ae8cbe28a1c91b9a40d208c4045a3706e0929bc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 15 10:56:08 2014 +0100

    Fix indentation

 src/callbacks.cpp | 37 ++++++++++++++++++-------------------
 1 file changed, 18 insertions(+), 19 deletions(-)

commit 0846ba2d034d2eb1fd43ad2122a34a45273210a9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 15 09:54:02 2014 +0100

    Bump version to 1.7.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 43414fec3d31d10c8ca2c9fa227b7e4a75500719
Merge: 77940a4 cec5516
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Nov 23 07:42:37 2013 -0800

    Merge pull request #29 from eyelash/gtk3
    
    add support for GTK3

commit 77940a42279f216e9707223e7f3320f13cb8d500
Merge: 11c4069 59c0981
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Nov 23 07:41:22 2013 -0800

    Merge pull request #30 from infirit/master
    
    Add Gtk3 support to configure

commit 59c098115d1044bb3df58bddece6bb4a8ec0c92d
Author: infirit <infirit@gmail.com>
Date:   Sat Nov 23 13:05:01 2013 +0100

    Add Gtk3 support to configure

 configure.ac | 32 ++++++++++++++++++++++++++++----
 1 file changed, 28 insertions(+), 4 deletions(-)

commit cec5516cb84a7ecc9489a36cd19bfe28d1bba54e
Author: Elias Aebi <user142@hotmail.com>
Date:   Thu Nov 21 17:35:20 2013 +0100

    add support for GTK3

 src/gsm_color_button.c | 43 +++++++++++++++++++++++++++++++++++++++----
 src/interface.cpp      |  9 +++++++--
 src/load-graph.cpp     | 38 +++++++++++++++++++++++++++-----------
 src/load-graph.h       |  4 ++++
 src/lsof.cpp           |  1 +
 src/openfiles.cpp      |  2 ++
 src/procdialogs.cpp    |  8 ++++++++
 src/sysinfo.cpp        | 16 ++++++++++------
 8 files changed, 98 insertions(+), 23 deletions(-)

commit 11c4069c618a6253db551fa5300b0ee5fc4f5de6
Merge: 97e8d50 89d783a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 13 04:58:06 2013 -0800

    Merge pull request #28 from flexiondotorg/master
    
    Remove distro folder.

commit 89d783a84394224f1c8e02f0743a22ce49b314ca
Author: Martin Wimpress <code@flexion.org>
Date:   Wed Nov 13 12:05:08 2013 +0000

    Remove distro folder.

 distro/archlinux/PKGBUILD                    | 39 ----------------------------
 distro/archlinux/mate-system-monitor.install | 22 ----------------
 2 files changed, 61 deletions(-)

commit 97e8d5025a4373237366b83406b9d671fccbc556
Merge: 769aa03 7784304
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Nov 8 18:45:35 2013 -0800

    Merge pull request #27 from infirit/master
    
    Cleanups

commit 7784304322821afd5b40728c27f40b17fbb330cb
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 8 22:36:10 2013 +0100

    Add dist-hook for Changelog creation

 Makefile.am | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 64f551f2ac731b5b863b2255076681847aabb3ce
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 8 22:29:29 2013 +0100

    Only create a tar.xz file

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f34d7be4956d86f6a43385940a3b5f1e027e49b
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 8 22:27:25 2013 +0100

    Silence autofoo warnings

 Makefile.am  | 2 ++
 configure.ac | 1 +
 2 files changed, 3 insertions(+)

commit 769aa03e4ede6ebf47b920a4d3dcfbc16974cd6a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Oct 14 11:38:28 2013 +0200

    Sync translations with transifex

 po/am.po          |   64 +--
 po/ar.po          |  446 +++++++++---------
 po/as.po          |  569 +++++++++++-----------
 po/az.po          | 1276 ++++++++++++++++++++++++++++++++-----------------
 po/be.po          |  686 ++++++++-------------------
 po/bg.po          |  405 ++++++++--------
 po/bn.po          |  402 ++++++++--------
 po/bn_IN.po       |  460 +++++++++---------
 po/bs.po          | 1275 +++++++++++++++++++++++++++++++++----------------
 po/ca.po          |  855 ++++++++-------------------------
 po/ca@valencia.po |  854 ++++++++-------------------------
 po/cs.po          |  395 ++++++++--------
 po/cy.po          | 1288 +++++++++++++++++++++++++-------------------------
 po/da.po          |  540 ++++++++-------------
 po/de.po          |  414 ++++++++--------
 po/dz.po          |  769 +++++++++++++-----------------
 po/el.po          |  452 ++++++++----------
 po/en_CA.po       | 1015 +++++++++++++++++++++++++--------------
 po/en_GB.po       |  634 ++++++++-----------------
 po/eo.po          |  426 +++++++++--------
 po/es.po          |  465 +++++++++---------
 po/et.po          |  555 +++++++++++++++-------
 po/eu.po          |  387 +++++++--------
 po/fa.po          | 1187 +++++++++++++++++++++++++++++++---------------
 po/fi.po          |  634 ++++++++-----------------
 po/fr.po          |  477 +++++++++----------
 po/ga.po          |  559 ++++++++++++----------
 po/gl.po          |  424 ++++++++---------
 po/gu.po          |  401 ++++++++--------
 po/he.po          |  737 +++++++++--------------------
 po/hi.po          |  465 +++++++++---------
 po/hr.po          |  490 +++++++++----------
 po/hu.po          |  408 ++++++++--------
 po/id.po          |  409 ++++++++--------
 po/it.po          |  417 ++++++++--------
 po/ja.po          |  377 +++++++--------
 po/ka.po          |  899 +++++++++++++++++++----------------
 po/kn.po          |  451 +++++++++---------
 po/ku.po          |  905 +++++++++++++++++++++++------------
 po/ky.po          |  170 +++----
 po/li.po          | 1302 ++++++++++++++++++++++++++++++++------------------
 po/lt.po          |  408 ++++++++--------
 po/lv.po          |  399 ++++++++--------
 po/mai.po         |  311 ++++++------
 po/mg.po          | 1019 +++++++++++++++++++++++-----------------
 po/mk.po          |  579 ++++++++++++-----------
 po/ml.po          |  451 +++++++++---------
 po/mn.po          | 1276 ++++++++++++++++++++++++++++++++-----------------
 po/mr.po          |  380 +++++++--------
 po/ms.po          | 1320 +++++++++++++++++++++++++++++++++------------------
 po/nb.po          |  439 ++++++++---------
 po/nds.po         |  275 ++++++-----
 po/nl.po          |  459 ++++++++----------
 po/nn.po          |  795 +++++++++++++------------------
 po/oc.po          |  432 ++++++++---------
 po/or.po          |  390 ++++++++-------
 po/pa.po          |  493 +++++++++----------
 po/pl.po          |  373 +++++++--------
 po/ps.po          |  586 +++++++++++++----------
 po/pt.po          | 1001 +++++++++++----------------------------
 po/pt_BR.po       |  477 +++++++++----------
 po/ro.po          |  399 ++++++++--------
 po/rw.po          | 1358 ++++++++++++++++++++++++++++++-----------------------
 po/si.po          |  778 ++++++++++++++++--------------
 po/sk.po          |  496 +++++++------------
 po/sl.po          |  450 +++++++++---------
 po/sq.po          | 1018 +++++++++++++++++++++++++--------------
 po/sr.po          |  788 ++++++++-----------------------
 po/sr@latin.po    |  788 ++++++++-----------------------
 po/sv.po          |  575 ++++++++---------------
 po/ta.po          |  467 +++++++++---------
 po/te.po          |  449 +++++++++---------
 po/th.po          | 1136 +++++++++++++++-----------------------------
 po/tr.po          |  438 ++++++++---------
 po/ug.po          |  461 +++++++-----------
 po/uk.po          |  450 +++++++++---------
 po/vi.po          |  535 ++++++++++-----------
 po/zh_CN.po       |  380 +++++++--------
 po/zh_HK.po       |  377 +++++++--------
 79 files changed, 23536 insertions(+), 25014 deletions(-)

commit 84ae373c1c412eb260fcfdaf57be7ddf4942d310
Merge: 82314df 01999fa
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 8 02:15:47 2013 -0700

    Merge pull request #24 from infirit/master
    
    back to libwnck

commit 01999fa43ecc9a5a1432cbbee0e69925e1d8c1fb
Author: infirit <infirit@gmail.com>
Date:   Tue Oct 8 03:44:23 2013 +0200

    back to libwnck

 configure.ac        |  4 ++--
 src/prettytable.cpp | 21 +++++++++++----------
 src/prettytable.h   |  9 +++++----
 src/procman.h       |  2 +-
 src/proctable.cpp   |  4 ++--
 5 files changed, 21 insertions(+), 19 deletions(-)

commit 82314dfe634a141792a4b274bebb63901730bf98
Merge: 8e517ce 886978d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Aug 2 05:40:48 2013 -0700

    Merge pull request #23 from infirit/yelptools
    
    Use yelp-tools instead of mate-doc-utils

commit 8e517ce5e6e79f325a6d614064708aaa77b42cd2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Aug 2 14:19:38 2013 +0200

    Bump version to 1.6.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 886978d2efd71b829d677913ec65a5bfdcc64d91
Author: infirit <infirit@gmail.com>
Date:   Thu Aug 1 14:25:30 2013 +0200

    Use yelp-tools instead of mate-doc-utils

 Makefile.am                                       |  1 -
 autogen.sh                                        |  7 ++++++-
 configure.ac                                      |  3 ++-
 help/C/{mate-system-monitor.xml => index.docbook} |  2 +-
 help/C/legal.xml                                  |  2 +-
 help/Makefile.am                                  | 12 +++++-------
 help/ar/ar.po                                     |  6 +++---
 help/bg/bg.po                                     |  8 ++++----
 help/ca/ca.po                                     |  8 ++++----
 help/cs/cs.po                                     |  8 ++++----
 help/da/da.po                                     |  8 ++++----
 help/de/de.po                                     |  8 ++++----
 help/el/el.po                                     |  8 ++++----
 help/es/es.po                                     |  8 ++++----
 help/fr/fr.po                                     |  8 ++++----
 help/oc/oc.po                                     |  4 ++--
 help/pa/pa.po                                     |  8 ++++----
 help/sv/sv.po                                     |  8 ++++----
 help/zh_CN/zh_CN.po                               |  8 ++++----
 src/callbacks.cpp                                 |  2 +-
 20 files changed, 65 insertions(+), 62 deletions(-)

commit 8fb0d3fb26c376da3029450a182e82a9637f7d00
Merge: 92bda27 16348f5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jul 26 07:28:19 2013 -0700

    Merge pull request #22 from NiceandGently/master
    
    fix make file for automake-1.13

commit 16348f50a9e7949138e78c671854d9aa7be9f146
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jul 26 16:23:33 2013 +0200

    fix make file for automake-1.13

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92bda2727b604e442178e9d79ce133bf3947109d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 28 16:56:43 2013 +0200

    Fixes for make dist

 Makefile.am     | 1 -
 configure.ac    | 2 +-
 src/Makefile.am | 8 ++++++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 0eda7f51e3612b50da0985fa5399c99f446890db
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 28 14:35:34 2013 +0200

    Check if cpu color key exists before read it
    
    Closes #14 (https://github.com/mate-desktop/mate-system-monitor/issues/14)

 src/procman.cpp | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit 459dad23fc583cff00201935f562a084284344aa
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 28 12:44:33 2013 +0200

    Fix indentation

 src/procman.cpp | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit e9854abd045441d9168249c8afec5cee5caf5bd2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 23 14:11:53 2013 +0200

    Add manpage for mate-system-monitor
    Closes #20 (https://github.com/mate-desktop/mate-system-monitor/issues/20)

 Makefile.am           |  3 +++
 mate-system-monitor.1 | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

commit 69ab51cda64cc66d4844a86bdeacaf47b7788011
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 1 11:15:14 2013 +0200

    Bump version to 1.6.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d578fa16c1732052a936590a0bde158e2b22e4ab
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 1 11:13:45 2013 +0200

    Sync translations with transifex

 po/LINGUAS  |    2 +
 po/am.po    | 1182 ++++++++++++++++++++++++++++++++++++++++-------------------
 po/ast.po   |  537 ++++++++++++++-------------
 po/en_AU.po | 1091 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ko.po    |  424 ++++++++++-----------
 po/ky.po    | 1088 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ru.po    |  403 ++++++++++----------
 po/zh_TW.po |  404 ++++++++++----------
 8 files changed, 3812 insertions(+), 1319 deletions(-)

commit 4be768a0ed112e1d68a31dca0d5ebce7a3750da8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 1 11:12:59 2013 +0200

    Add transifex configuration file

 .tx/config | 7 +++++++
 1 file changed, 7 insertions(+)

commit 7c3540a1a01f303a4ff13a91ec2df3c67e6e6535
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 1 11:12:31 2013 +0200

    Add empty ChangeLog to allow build from git

 ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit a1a107efafa9ad94709a32391df2b10d7eca68bd
Merge: 798a9fb c15f32d
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Mar 24 16:42:13 2013 -0400

    Merge branch 'master' of github.com:mate-desktop/mate-system-monitor

commit 798a9fb1047487d923fb2d04a88d309151a6b523
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Mar 24 16:33:16 2013 -0400

    "Removed ChangeLog"

 ChangeLog | 807 --------------------------------------------------------------
 1 file changed, 807 deletions(-)

commit c15f32dc7a63448b6276fb291a95fbb704ed0cfb
Merge: 5bb751a 69a8053
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 24 12:03:47 2013 -0700

    Merge pull request #19 from NiceandGently/master
    
    fix desktop file

commit 69a80538478d3a12bb0012ea65ffdd713b8fe2b7
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Mar 17 15:48:24 2013 +0100

    Update mate-system-monitor.desktop.in.in
    
    choose a unique name
    add generic name

 mate-system-monitor.desktop.in.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5bb751a77a7a8216c779bb378bff864444321f81
Merge: 1660ca1 1f856ef
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 5 14:24:10 2013 -0800

    Merge pull request #18 from MDykstra/master
    
    AC_CONFIG_HEADERS to please automake 1.13

commit 1f856ef391f6bcf7c9ce8bfde68f249326330fa0
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Tue Feb 5 23:22:30 2013 +0100

    AC_CONFIG_HEADERS to please automake 1.13

 autogen.sh                   | 2 +-
 configure.in => configure.ac | 3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 1660ca1fadd15f3a785ce48a85c9947b98cb847d
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu Jan 17 14:27:38 2013 -0500

    Preparing for 1.5.1 release.

 ChangeLog    | 302 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |   2 +-
 2 files changed, 303 insertions(+), 1 deletion(-)

commit d26233e7395c81f4974b1d13a5b3c532f773f42b
Merge: c1553da 801b5ab
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 7 04:20:24 2013 -0800

    Merge pull request #17 from MDykstra/master
    
    grayscale sidebar image, compatible with any color scheme

commit 801b5ab326a490739c838b4328ed17c4368d22e0
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Sun Jan 6 13:55:51 2013 +0100

    grayscaled sidebar image, compatible with any color scheme

 pixmaps/side.png | Bin 4504 -> 5504 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit c1553da1a3b25a116f999d0c40bfdc6f3012849d
Merge: 8335218 6b58b44
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 4 03:09:01 2013 -0800

    Merge pull request #13 from cygwinports/master
    
    Add mateconf-gsettings-data-convert file

commit 8335218ae2c9ab769d584cd1bcc9d5da581efed4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 4 11:55:33 2013 +0100

    Restore first 4 original cpu colors

 src/org.mate.system-monitor.gschema.xml.in.in | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6c8240e5611355fdf8f69ab603c0113a2840000b
Merge: 99a70e0 7816180
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 4 02:50:21 2013 -0800

    Merge pull request #16 from sbalneav/master
    
    Paint it black

commit 781618080e373211921222bef4696fe9ce3edd61
Author: Scott Balneaves <sbalneav@alburg.net>
Date:   Wed Jan 2 15:22:54 2013 -0600

    I have to turn my head until my darkness goes

 src/procman.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 73da57f093a422229c053333a81738a97ac000fb
Author: Scott Balneaves <sbalneav@alburg.net>
Date:   Tue Jan 1 15:45:06 2013 -0600

    Fix deprecations

 src/gsm_color_button.c | 2 +-
 src/gsm_color_button.h | 2 ++
 src/procman.cpp        | 9 ++-------
 3 files changed, 5 insertions(+), 8 deletions(-)

commit fd824a7e03a8303801db03abf59fbdd5dfe3e39a
Author: Scott Balneaves <sbalneav@alburg.net>
Date:   Tue Jan 1 15:11:12 2013 -0600

    Fix Issue #14

 src/org.mate.system-monitor.gschema.xml.in.in | 56 +++++++++++++++++++++++++--
 src/procman.cpp                               | 22 ++++++++++-
 2 files changed, 73 insertions(+), 5 deletions(-)

commit 6b58b44c9516f1dc8c163323e45bb840eab940e2
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Dec 25 01:43:16 2012 -0600

    Add mateconf-gsettings-data-convert file

 src/Makefile.am                 |  3 ++
 src/mate-system-monitor.convert | 74 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

commit 99a70e0dac224bf34ab2753bafc1344c04991b2a
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Nov 20 00:06:18 2012 -0500

    Added a comment related to previous commit.

 src/prettytable.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 42e355492516efe168b1ad16e3762610402fce10
Merge: 6d06a22 244dabb
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Mon Nov 19 21:01:01 2012 -0800

    Merge pull request #11 from sbalneav/master
    
    Fixes #9

commit 244dabb83477ab71b8f023c58461b3246988c34c
Author: Scott Balneaves <sbalneav@alburg.net>
Date:   Mon Nov 19 22:42:09 2012 -0600

    Fixes issue #9

 src/prettytable.cpp | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 6d06a224d764c5b58127f665b2fcfa7eeac080ee
Author: Nelson Marques <nmo.marques@gmail.com>
Date:   Wed Nov 7 16:30:59 2012 +0000

    add missing semi-colon to OnlyShowIn desktop file

 mate-system-monitor.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f2633b384c62eafeb7c395fc3831940ee2a3a724
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 7 11:35:35 2012 +0100

    gsettings schema transatable

 src/org.mate.system-monitor.gschema.xml.in.in | 133 +++++++++++++-------------
 1 file changed, 66 insertions(+), 67 deletions(-)

commit 2607287294831b187ee28f0009c713f6df9134e4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 7 11:33:28 2012 +0100

    fix POTFILES.in

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d0ac0aa94fa42554146a6eaede36d445d078db2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 7 00:15:09 2012 +0100

    fix gsettings keys names

 src/procdialogs.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9b4f1532d7a38c0850a0c164c405c25c806a9137
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 7 00:00:57 2012 +0100

    fix gsettings key name

 src/callbacks.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 39c9b9529e46dd0847fca0aa8840150ad898ccb0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Nov 6 23:58:44 2012 +0100

    bump version to 1.5.0

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17ceaa364a9cf482612dc1babbe9d300b70aa41a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Nov 6 23:57:59 2012 +0100

    re-add desktop file

 mate-system-monitor.desktop.in.in | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit eb7b95cc5e20488865a6950341c3a8ed8d721b55
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Nov 6 23:57:37 2012 +0100

    fix schema installation

 src/Makefile.am                                    |  11 +-
 src/mate-system-monitor.schemas.in                 | 771 ---------------------
 ...n => org.mate.system-monitor.gschema.xml.in.in} |  18 +-
 src/procman.h                                      |   2 +-
 4 files changed, 16 insertions(+), 786 deletions(-)

commit 066eec2b099b863ab3a5e5f505340493903935ba
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Nov 6 23:24:16 2012 +0100

    remove mateconf schema

 mate-system-monitor.desktop.in.in | 15 ---------------
 1 file changed, 15 deletions(-)

commit 684e6bb4c072f707a92ce72d85954b5790aaab53
Merge: 7caef9a f27253b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Nov 6 14:22:49 2012 -0800

    Merge pull request #10 from NiceandGently/master
    
    port to gsettings

commit f27253b155db8d3c06bf13801c63bdc282da4157
Author: raveit <chat-to-me@raveit.de>
Date:   Tue Nov 6 18:19:51 2012 +0100

    Port to gesettings

 configure.in                                    |  16 +-
 po/POTFILES.in                                  |   2 +-
 src/Makefile.am                                 |  35 +--
 src/callbacks.cpp                               |  22 +-
 src/disks.cpp                                   |   8 +-
 src/interface.cpp                               |   5 +-
 src/mate-system-monitor.schemas.in              |   2 +
 src/mateconf-keys.cpp                           |  14 -
 src/memmaps.cpp                                 | 154 +---------
 src/openfiles.cpp                               |  13 +-
 src/org.mate.mate-system-monitor.gschema.xml.in | 282 +++++++++++++++++
 src/procdialogs.cpp                             |  63 ++--
 src/procman.cpp                                 | 390 +++++++++++-------------
 src/procman.h                                   |  16 +-
 src/proctable.cpp                               |   6 +-
 src/settings-keys.cpp                           |  14 +
 src/{mateconf-keys.h => settings-keys.h}        |   8 +-
 src/smooth_refresh.cpp                          |  47 +--
 src/smooth_refresh.h                            |  15 +-
 19 files changed, 600 insertions(+), 512 deletions(-)

commit 7caef9a314fc9f1fea996d79601d4242286825b1
Merge: d1453ff bd77d12
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Oct 12 14:03:56 2012 -0700

    Merge pull request #7 from NiceandGently/master
    
    fix incorrect FSF address

commit bd77d1287b5434014ce52a0a3bb195ff2883185b
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Oct 12 22:06:00 2012 +0200

    fix incorrect FSF address

 src/bacon-message-connection.c | 2 +-
 src/bacon-message-connection.h | 2 +-
 src/callbacks.cpp              | 2 +-
 src/callbacks.h                | 2 +-
 src/gsm_color_button.c         | 4 ++--
 src/gsm_color_button.h         | 4 ++--
 src/interface.cpp              | 2 +-
 src/interface.h                | 2 +-
 src/procactions.cpp            | 2 +-
 src/procactions.h              | 2 +-
 src/procdialogs.cpp            | 2 +-
 src/procdialogs.h              | 2 +-
 src/procman.cpp                | 2 +-
 src/procman.h                  | 2 +-
 src/proctable.cpp              | 2 +-
 src/proctable.h                | 2 +-
 16 files changed, 18 insertions(+), 18 deletions(-)

commit d1453ff860c405a5405d856da0d670f028d30101
Merge: ed445b3 f02b38e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 2 07:37:03 2012 -0700

    Merge pull request #6 from NiceandGently/master
    
    add OnlyShowIn=MATE and remove Categories=MATE entry in desktop file

commit f02b38e3cbd3e484c1fb3707ac821963be72bff5
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Oct 2 15:31:46 2012 +0300

    Update mate-system-monitor.desktop.in.in
    
    add OnlyShowIn=MATE and remove Categories=MATE entry in desktop file

 mate-system-monitor.desktop.in.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ed445b315c23031bd4c2d9357459e744e52479fe
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu Jul 12 14:55:10 2012 -0400

    Preparing for 1.4 release.

 ChangeLog              | 202 +++++++++++++++++++++++++++++++++++++++++++++++--
 configure.in           |   2 +-
 distro/ubuntu/build    |  35 ---------
 distro/ubuntu/postinst |   8 --
 distro/ubuntu/postrm   |   8 --
 distro/ubuntu/preinst  |   6 --
 distro/ubuntu/prerm    |   9 ---
 7 files changed, 196 insertions(+), 74 deletions(-)

commit 4f9e5e2320f0a27fe676962b71d5160efec479a7
Merge: 4595921 3fa35a8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jul 12 15:33:28 2012 +0200

    Merge branch 'master' of github.com:mate-desktop/mate-system-monitor

commit 45959215873762f93accd1384d40b145c007f100
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jul 12 15:33:17 2012 +0200

    add po gnome copyrights file

 po/gnome-copyrights.txt | 1057 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1057 insertions(+)

commit 3fa35a8281ee5088b7e2222b683e5d9191cfd902
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jun 14 22:27:13 2012 +0200

    port to libmatewnck

 configure.in              |  4 ++--
 distro/archlinux/PKGBUILD |  2 +-
 src/prettytable.cpp       | 23 +++++++++++------------
 src/prettytable.h         |  9 ++++-----
 src/procman.h             |  2 +-
 src/proctable.cpp         |  4 ++--
 6 files changed, 21 insertions(+), 23 deletions(-)

commit 6f24d86e80d059e7d050eae400441029c0e34e59
Merge: fb91675 f6e7ded
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed May 23 05:21:53 2012 -0700

    Merge pull request #5 from MDykstra/master
    
    backward compatible dependency on gmodule-2.0

commit f6e7ded9039d35f3e9c26ca10a8bf242ed4198e2
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Wed May 16 01:54:29 2012 +0200

    only depend on gmodule-2.0 if it exists

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e4be2442cab4116d8d6c6fdb69efeeefd7ed78e2
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Fri Apr 27 20:44:37 2012 +0200

    liner now requires gmodule-2.0 in mate-text-editor

 configure.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fb9167552795d7ec526c39b8238ded596b5665c7
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Apr 6 12:50:02 2012 -0400

    Removed empty, useless acconfig.h file

 acconfig.h | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit de2ad9ebb7d4da2e2adaf6af06506042d777bf48
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Mar 25 19:05:48 2012 -0400

    Preparing for 1.2.1 release

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8f49f31e5d2987cf494e47a16efd298eeb1e17e
Merge: 7d89fc8 7b0f14e
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sat Mar 17 10:52:00 2012 -0700

    Merge pull request #3 from benpicco/master
    
    sync with upstream

commit 7b0f14e04533ae7cdb3689862e763f90c688dccf
Author: =?UTF-8?q?Chris=20K=C3=BChl?= <chrisk@openismus.com>
Date:   Thu Jan 27 11:55:10 2011 +0100

    Removed use of deprecated mateconf_init.

 src/procman.cpp | 2 --
 1 file changed, 2 deletions(-)

commit bb04c1debe08a65ca834ad531b73fcc58b37eb2a
Author: =?UTF-8?q?Javier=20Jard=C3=B3n?= <jjardon@gnome.org>
Date:   Thu Sep 30 18:42:44 2010 +0200

    Replacing GtkNotebookPage with GtkWidget according to changes in GTK+
    
    Signed-off-by: Chris Kühl <chrisk@openismus.com>

 src/callbacks.cpp | 2 +-
 src/callbacks.h   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0a2d8ddbcd904afbd80aace9de6732a7bea28399
Author: Chris Kühl <chrisk@openismus.com>
Date:   Thu Jan 27 15:20:45 2011 +0100

    Moved rsvg_init and rsvg_term into main to fix Bug #613752.

 src/gsm_color_button.c | 3 ---
 src/procman.cpp        | 7 +++++++
 2 files changed, 7 insertions(+), 3 deletions(-)

commit ed0b5b561f7adada1e62041d29edd18612d42ea8
Author: Chris Kühl <chrisk@openismus.com>
Date:   Wed Jan 26 14:12:09 2011 +0100

    Replaced occurances of gtk_dialog_set_has_separator with g_object_set.

 src/lsof.cpp        | 1 -
 src/memmaps.cpp     | 1 -
 src/openfiles.cpp   | 2 +-
 src/procdialogs.cpp | 4 ++--
 4 files changed, 3 insertions(+), 5 deletions(-)

commit a43f2684570c10f3c5ee2f32b41065c9d2f2f14e
Author: Chris Kühl <chrisk@openismus.com>
Date:   Wed Jan 26 11:51:50 2011 +0100

    Replace old GDK drawing API
    
    Patch from Sergey Nizovtsev.
    See https://bugzilla.gnome.org/show_bug.cgi?id=627568

 src/load-graph.cpp | 30 ++++++++++--------------------
 src/load-graph.h   |  1 -
 2 files changed, 10 insertions(+), 21 deletions(-)

commit d978ff67175c8e0b05b2a6732ec47aff2dbd21b8
Author: Andreas Nilsson <nisses.mail@home.se>
Date:   Tue Oct 26 17:09:15 2010 +0200

    Remove duplicate label in File System tab
    
    https://bugzilla.gnome.org/show_bug.cgi?id=597250

 src/disks.cpp | 4 ----
 1 file changed, 4 deletions(-)

commit 7d89fc8a9fbe3d16bdbb3f5eaeeb978e212c4c83
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 11 16:57:17 2012 +0100

    added serious image (thanks to Rowen_Stipe)

 TODO                 |   1 +
 pixmaps/side-cat.png | Bin 0 -> 8778 bytes
 pixmaps/side.png     | Bin 8778 -> 4504 bytes
 3 files changed, 1 insertion(+)

commit 1d633a3a02df3809cbe01b592d875374e931373d
Author: Perberos <perberos@gmail.com>
Date:   Fri Mar 9 20:43:30 2012 -0300

    build error with glib2-2.31 (https://github.com/mate-desktop/mate-system-monitor/issues/2)

 src/interface.h      | 2 +-
 src/load-graph.h     | 2 +-
 src/lsof.h           | 2 +-
 src/openfiles.h      | 2 +-
 src/procman_matesu.h | 2 +-
 src/util.cpp         | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 8f583a5decc28f0f1283bc0067be77904e78871e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Mar 7 20:40:47 2012 +0100

    update for 1.2 release

 AUTHORS      |   7 +-
 ChangeLog    | 318 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 README       |   1 +
 autogen.sh   |   4 +-
 configure.in |   2 +-
 5 files changed, 327 insertions(+), 5 deletions(-)

commit 9f898bdcf2a7478ac61942e0d9c1c919f3fa4c65
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Jan 13 20:03:12 2012 -0500

    Added mate-desktop.org to about window

 src/callbacks.cpp | 353 +++++++++++++++++++++++++++---------------------------
 1 file changed, 177 insertions(+), 176 deletions(-)

commit 1f882326df89b8c2990f71e014586fc2310b7c11
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Jan 10 14:39:28 2012 -0500

    Changed mate.gr.jp to gnome.gr.jp as requested in issue #86

 po/ChangeLog | 428 +++++++++++++++++++++++++++++------------------------------
 po/ja.po     |  12 +-
 2 files changed, 220 insertions(+), 220 deletions(-)

commit 74cb9efe234214c79ba6a685126b387fcef0be34
Merge: b7b1526 ef37d8f
Author: Perberos <perberos@gmail.com>
Date:   Sat Dec 24 13:47:14 2011 -0800

    Merge pull request #1 from samtygier/master
    
    fix that solves a PATH issue for me 2

commit ef37d8f0e5391a6c955e5c77816b182d5f6ee824
Author: Sam Tygier <samtygier@yahoo.co.uk>
Date:   Sat Dec 24 20:03:14 2011 +0000

    Use MATECONFTOOL in makefile. Without this install fails if PATH for sudo does not contain install prefixed bin.

 configure.in    | 2 ++
 src/Makefile.am | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit b7b15266d086a24e8b48868b9b1b18bc04cd6c21
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Dec 14 01:01:23 2011 +0100

    updated version to 1.1.0

 AUTHORS                   | 1 +
 configure.in              | 8 ++++----
 distro/archlinux/PKGBUILD | 2 +-
 distro/ubuntu/build       | 2 +-
 4 files changed, 7 insertions(+), 6 deletions(-)

commit a0f499ad5f0156d2089fee2cd145e084ce85305d
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Dec 2 21:17:49 2011 -0500

    Changed version to 2011.12.01

 configure.in              | 2 +-
 distro/archlinux/PKGBUILD | 2 +-
 distro/ubuntu/build       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit ddb8ec9ffd94f9c1c40a1e38618401e0c9f0e077
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 14 18:46:55 2011 -0300

    updating autogen.sh

 autogen.sh | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 428acec0268528eeb8f99c1a7b621334eeaaa802
Author: Perberos <perberos@gmail.com>
Date:   Fri Nov 11 06:41:13 2011 -0300

    ignore this commit

 pixmaps/side.png | Bin 3429 -> 8778 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 94fb1159f50ff579c48204f588abd1aee290f4f9
Author: Perberos <perberos@gmail.com>
Date:   Tue Nov 8 16:31:02 2011 -0300

    readme still need more info

 README | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 881277e87ea63f43b1bd2c3763f0ae3b92f7d64e
Author: Perberos <perberos@gmail.com>
Date:   Tue Nov 8 16:25:52 2011 -0300

    chmod +x to autogen.sh

 autogen.sh | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit f45852ab2a7126f354079499fc8b03976c0eab27
Author: Perberos <perberos@gmail.com>
Date:   Tue Nov 8 16:22:08 2011 -0300

    initial

 AUTHORS                                           |    7 +
 COPYING                                           |  339 ++
 ChangeLog                                         |    1 +
 Makefile.am                                       |   28 +
 NEWS                                              |  508 +++
 README                                            |   10 +
 acconfig.h                                        |    0
 autogen.sh                                        |   22 +
 configure.in                                      |  103 +
 distro/archlinux/PKGBUILD                         |   39 +
 distro/archlinux/mate-system-monitor.install      |   22 +
 distro/ubuntu/build                               |   35 +
 distro/ubuntu/postinst                            |    8 +
 distro/ubuntu/postrm                              |    8 +
 distro/ubuntu/preinst                             |    6 +
 distro/ubuntu/prerm                               |    9 +
 help/C/figures/addColumn.png                      |  Bin 0 -> 4411 bytes
 help/C/figures/changePriority.png                 |  Bin 0 -> 4074 bytes
 help/C/figures/colorPanel.png                     |  Bin 0 -> 28898 bytes
 help/C/figures/columnContextMenu.png              |  Bin 0 -> 7454 bytes
 help/C/figures/mate-system-monitor_window.png     |  Bin 0 -> 88521 bytes
 help/C/figures/memoryMaps.png                     |  Bin 0 -> 55862 bytes
 help/C/figures/moreInfo.png                       |  Bin 0 -> 42522 bytes
 help/C/figures/processListing.png                 |  Bin 0 -> 42476 bytes
 help/C/figures/sortButton.png                     |  Bin 0 -> 3572 bytes
 help/C/figures/sortMenu.png                       |  Bin 0 -> 7490 bytes
 help/C/figures/sortMenu2.png                      |  Bin 0 -> 8793 bytes
 help/C/figures/systemMonitor.png                  |  Bin 0 -> 30459 bytes
 help/C/figures/viewMenu.png                       |  Bin 0 -> 4468 bytes
 help/C/legal.xml                                  |   76 +
 help/C/mate-system-monitor.xml                    | 1455 +++++++
 help/ChangeLog                                    |  108 +
 help/Makefile.am                                  |   22 +
 help/ar/ar.po                                     | 1180 ++++++
 help/ar/figures/mate-system-monitor_window.png    |  Bin 0 -> 72185 bytes
 help/bg/bg.po                                     | 1831 ++++++++
 help/bg/figures/addColumn.png                     |  Bin 0 -> 51784 bytes
 help/bg/figures/changePriority.png                |  Bin 0 -> 25281 bytes
 help/bg/figures/colorPanel.png                    |  Bin 0 -> 86478 bytes
 help/bg/figures/columnContextMenu.png             |  Bin 0 -> 19935 bytes
 help/bg/figures/mate-system-monitor_window.png    |  Bin 0 -> 88066 bytes
 help/bg/figures/memoryMaps.png                    |  Bin 0 -> 83322 bytes
 help/bg/figures/moreInfo.png                      |  Bin 0 -> 88066 bytes
 help/bg/figures/processListing.png                |  Bin 0 -> 88066 bytes
 help/bg/figures/sortButton.png                    |  Bin 0 -> 19935 bytes
 help/bg/figures/sortMenu.png                      |  Bin 0 -> 19935 bytes
 help/bg/figures/sortMenu2.png                     |  Bin 0 -> 19935 bytes
 help/bg/figures/systemMonitor.png                 |  Bin 0 -> 70822 bytes
 help/bg/figures/viewMenu.png                      |  Bin 0 -> 79778 bytes
 help/ca/ca.po                                     | 2053 +++++++++
 help/ca/figures/mate-system-monitor_window.png    |  Bin 0 -> 83797 bytes
 help/cs/cs.po                                     | 1223 ++++++
 help/cs/figures/mate-system-monitor_window.png    |  Bin 0 -> 98878 bytes
 help/da/da.po                                     | 1798 ++++++++
 help/de/de.po                                     | 1853 ++++++++
 help/de/figures/mate-system-monitor_window.png    |  Bin 0 -> 78867 bytes
 help/el/el.po                                     | 1845 ++++++++
 help/es/es.po                                     | 1851 ++++++++
 help/es/figures/mate-system-monitor_window.png    |  Bin 0 -> 54608 bytes
 help/fr/figures/mate-system-monitor_window.png    |  Bin 0 -> 89169 bytes
 help/fr/fr.po                                     | 1836 ++++++++
 help/mate-system-monitor.omf.in                   |    9 +
 help/oc/oc.po                                     | 1452 +++++++
 help/pa/pa.po                                     | 1492 +++++++
 help/sv/figures/mate-system-monitor_window.png    |  Bin 0 -> 126339 bytes
 help/sv/sv.po                                     | 1408 +++++++
 help/zh_CN/figures/mate-system-monitor_window.png |  Bin 0 -> 90178 bytes
 help/zh_CN/zh_CN.po                               | 1627 +++++++
 mate-system-monitor.desktop.in.in                 |   14 +
 pixmaps/Makefile.am                               |    4 +
 pixmaps/download.svg                              |  217 +
 pixmaps/side.png                                  |  Bin 0 -> 3429 bytes
 pixmaps/upload.svg                                |  195 +
 po/ChangeLog                                      | 4672 +++++++++++++++++++++
 po/LINGUAS                                        |   87 +
 po/POTFILES.in                                    |   23 +
 po/POTFILES.skip                                  |    1 +
 po/am.po                                          |  666 +++
 po/ar.po                                          | 1135 +++++
 po/as.po                                          | 1134 +++++
 po/ast.po                                         | 1096 +++++
 po/az.po                                          |  652 +++
 po/be.po                                          | 1397 ++++++
 po/be@latin.po                                    | 1075 +++++
 po/bg.po                                          | 1125 +++++
 po/bn.po                                          | 1126 +++++
 po/bn_IN.po                                       | 1130 +++++
 po/bs.po                                          |  647 +++
 po/ca.po                                          | 1575 +++++++
 po/ca@valencia.po                                 | 1575 +++++++
 po/cs.po                                          | 1122 +++++
 po/cy.po                                          | 1070 +++++
 po/da.po                                          | 1264 ++++++
 po/de.po                                          | 1133 +++++
 po/dz.po                                          | 1180 ++++++
 po/el.po                                          | 1175 ++++++
 po/en@shaw.po                                     | 1115 +++++
 po/en_CA.po                                       |  796 ++++
 po/en_GB.po                                       | 1357 ++++++
 po/eo.po                                          | 1098 +++++
 po/es.po                                          | 1129 +++++
 po/et.po                                          |  876 ++++
 po/eu.po                                          | 1115 +++++
 po/fa.po                                          |  669 +++
 po/fi.po                                          | 1354 ++++++
 po/fr.po                                          | 1144 +++++
 po/ga.po                                          | 1037 +++++
 po/gl.po                                          | 1138 +++++
 po/gu.po                                          | 1127 +++++
 po/he.po                                          | 1393 ++++++
 po/hi.po                                          | 1137 +++++
 po/hr.po                                          | 1089 +++++
 po/hu.po                                          | 1127 +++++
 po/id.po                                          | 1124 +++++
 po/it.po                                          | 1141 +++++
 po/ja.po                                          | 1117 +++++
 po/ka.po                                          | 1015 +++++
 po/kn.po                                          | 1119 +++++
 po/ko.po                                          | 1146 +++++
 po/ku.po                                          |  768 ++++
 po/li.po                                          |  687 +++
 po/lt.po                                          | 1130 +++++
 po/lv.po                                          | 1126 +++++
 po/mai.po                                         | 1106 +++++
 po/mg.po                                          |  912 ++++
 po/mk.po                                          | 1099 +++++
 po/ml.po                                          | 1124 +++++
 po/mn.po                                          |  656 +++
 po/mr.po                                          | 1111 +++++
 po/ms.po                                          |  657 +++
 po/nb.po                                          | 1114 +++++
 po/nds.po                                         | 1092 +++++
 po/ne.po                                          | 1005 +++++
 po/nl.po                                          | 1182 ++++++
 po/nn.po                                          | 1227 ++++++
 po/oc.po                                          | 1086 +++++
 po/or.po                                          | 1117 +++++
 po/pa.po                                          | 1151 +++++
 po/pl.po                                          | 1124 +++++
 po/ps.po                                          | 1024 +++++
 po/pt.po                                          | 1521 +++++++
 po/pt_BR.po                                       | 1138 +++++
 po/ro.po                                          | 1124 +++++
 po/ru.po                                          | 1127 +++++
 po/rw.po                                          |  901 ++++
 po/si.po                                          |  995 +++++
 po/sk.po                                          | 1234 ++++++
 po/sl.po                                          | 1114 +++++
 po/sq.po                                          |  798 ++++
 po/sr.po                                          | 1514 +++++++
 po/sr@latin.po                                    | 1514 +++++++
 po/sv.po                                          | 1299 ++++++
 po/ta.po                                          | 1128 +++++
 po/te.po                                          | 1121 +++++
 po/th.po                                          | 1459 +++++++
 po/tr.po                                          | 1153 +++++
 po/ug.po                                          | 1190 ++++++
 po/uk.po                                          | 1119 +++++
 po/vi.po                                          | 1077 +++++
 po/zh_CN.po                                       | 1105 +++++
 po/zh_HK.po                                       | 1105 +++++
 po/zh_TW.po                                       | 1115 +++++
 src/Makefile.am                                   |   71 +
 src/argv.cpp                                      |   22 +
 src/argv.h                                        |   18 +
 src/bacon-message-connection.c                    |  396 ++
 src/bacon-message-connection.h                    |   43 +
 src/callbacks.cpp                                 |  436 ++
 src/callbacks.h                                   |   82 +
 src/defaulttable.h                                |   51 +
 src/disks.cpp                                     |  425 ++
 src/disks.h                                       |   12 +
 src/e_date.c                                      |  214 +
 src/e_date.h                                      |    9 +
 src/gsm_color_button.c                            |  923 ++++
 src/gsm_color_button.h                            |   92 +
 src/iconthemewrapper.cpp                          |   23 +
 src/iconthemewrapper.h                            |   23 +
 src/interface.cpp                                 |  808 ++++
 src/interface.h                                   |   32 +
 src/load-graph.cpp                                |  787 ++++
 src/load-graph.h                                  |  131 +
 src/lsof.cpp                                      |  408 ++
 src/lsof.h                                        |    9 +
 src/mate-system-monitor.schemas.in                |  769 ++++
 src/mateconf-keys.cpp                             |   14 +
 src/mateconf-keys.h                               |   19 +
 src/memmaps.cpp                                   |  663 +++
 src/memmaps.h                                     |    9 +
 src/openfiles.cpp                                 |  394 ++
 src/openfiles.h                                   |   10 +
 src/prettytable.cpp                               |  256 ++
 src/prettytable.h                                 |   62 +
 src/procactions.cpp                               |  190 +
 src/procactions.h                                 |   28 +
 src/procdialogs.cpp                               |  842 ++++
 src/procdialogs.h                                 |   54 +
 src/procman.cpp                                   |  773 ++++
 src/procman.h                                     |  247 ++
 src/procman_gksu.cpp                              |   54 +
 src/procman_gksu.h                                |   12 +
 src/procman_matesu.cpp                            |   40 +
 src/procman_matesu.h                              |   12 +
 src/proctable.cpp                                 |  964 +++++
 src/proctable.h                                   |   65 +
 src/selection.cpp                                 |   43 +
 src/selection.h                                   |   21 +
 src/selinux.cpp                                   |   65 +
 src/selinux.h                                     |   14 +
 src/smooth_refresh.cpp                            |  173 +
 src/smooth_refresh.h                              |  104 +
 src/sysinfo.cpp                                   |  676 +++
 src/sysinfo.h                                     |    9 +
 src/util.cpp                                      |  510 +++
 src/util.h                                        |  151 +
 215 files changed, 135724 insertions(+)
